package com.usky.fire;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.SysUserVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@FeignClient(contextId = "remoteUserService", value = "usky-demo")
public interface RemoteUserService {



    @GetMapping("/byUserName")
    ApiResult<List<SysUserVO>> getByUserName(@RequestParam("userName") String userName);


    @PostMapping("/byUserName")
    ApiResult<List<SysUserVO>> add(@RequestBody SysUserVO sysUserVO);


    @PostMapping(value = "/upload", consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
    ApiResult<String> upload(@RequestPart(value = "file") MultipartFile file);
}
