package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.log.annotation.Log;
import com.usky.common.log.enums.BusinessType;
import com.usky.fire.domain.BaseBuildExtinguish;
import com.usky.fire.service.BaseBuildExtinguishService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 厂房灭火器 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-03-23
 */
@RestController
@RequestMapping("/baseBuildExtinguish")
public class BaseBuildExtinguishController {
    @Autowired
    private BaseBuildExtinguishService baseBuildExtinguishService;

    /**
     * 灭火器-删除
     *
     * @param id 主键ID
     * @return
     */
    @Log(title = "灭火器-删除", businessType = BusinessType.DELETE)
    @DeleteMapping("delBaseBuildExtinguish")
    public ApiResult<Void> delBaseBuildExtinguish(@RequestParam(value = "id") Integer id) {
        baseBuildExtinguishService.delBaseBuildExtinguish(id);
        return ApiResult.success();
    }
}

