package com.usky.fire.controller.web;


import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import com.usky.common.core.bean.ApiResult;
import com.usky.fire.service.DemStoreService;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 仓库信息表 前端控制器
 * </p>
 *
 * @author ZYJ
 * @since 2023-01-16
 */
@RestController
@RequestMapping("/demStore")
public class DemStoreController {
    @Autowired
    private DemStoreService demStoreService;

    /**
     * 城市消防特征-地图撒点-仓库撒点
     *
     * @param streetTown 街镇
     * @return
     */
    @GetMapping("storeScatterer")
    public ApiResult<List<Object>> storeScatterer(@RequestParam(value = "streetTown", required = false) String streetTown){
        return ApiResult.success(demStoreService.storeScatterer(streetTown));
    }
}

