package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.DemStreetMicroStation;
import com.usky.fire.service.DemStreetMicroStationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 街镇微型消防站 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-04-06
 */
@RestController
@RequestMapping("/demStreetMicroStation")
public class DemStreetMicroStationController {
    @Autowired
    private DemStreetMicroStationService demStreetMicroStationService;

    /**
     * 街镇微型消防站-撒点
     *
     * @param streetTown
     * @return
     */
    @GetMapping("demStreetMicroStationList")
    public ApiResult<List<DemStreetMicroStation>> demStreetMicroStationList(@RequestParam(value = "streetTown", required = false) String streetTown) {
        return ApiResult.success(demStreetMicroStationService.demStreetMicroStationList(streetTown));
    }
}

