package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author JCB
 * @since 2022-08-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class AlarmFire implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 告警类型(2 火警、4 故障、16 监管等)
     */
    private String alarmType;

    /**
     * 告警时间
     */
    private LocalDateTime alarmTime;

    /**
     * 上报地址
     */
    private String address;

    /**
     * 告警状态
     */
    private String alarmStatus;

    /**
     * 系统类型(1.火灾自动报警系统 2.自动喷水灭火系统 3.消防给水及消火栓系统 4.防排烟系统 5.电气火灾系统 6.消防视频监控系统)
     */
    private Integer systemType;

    /**
     * 端口号
     */
    private String portNum;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 原始告警类型
     */
    private String attributeValue1;

    /**
     * 告警名称
     */
    private String attributeValue2;

    /**
     * 原始点位地址
     */
    private String attributeValue3;

    /**
     * 点位描述
     */
    private String attributeValue4;

    /**
     * 点位类型(0 通用设备、1 火灾报警控制器、10 可燃气体探测器、11 点型可燃气体探测器等)
     */
    private Integer pointType;

    /**
     * 主机号
     */
    private Integer hostNum;

    /**
     * 回路号
     */
    private Integer loopNum;

    /**
     * 点位号
     */
    private Integer ptNum;

    /**
     * 处理人
     */
    private String handler;

    /**
     * 处理时间
     */
    private LocalDateTime handlingTime;

    /**
     * 处理内容
     */
    private String handlingContent;

    /**
     * 处理人电话
     */
    private String handlerPhone;

    /**
     * 处理状态（0、未处理 1、已处理）
     */
    private Integer handlingStatus;

    /**
     * 是否误报（0、非误报 1、误报）
     */
    private Integer falseAlarm;

    /**
     * 现场照片
     */
    private String sitePhoto;


}
