package com.usky.fire.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 厂房建筑外联表
 * </p>
 *
 * @author han
 * @since 2023-03-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseBuildAttach implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 建筑ID
     */
    private Integer buildId;

    /**
     * 甲类危险品生产数量（吨/月）
     */
    private BigDecimal hazardousProduceA;

    /**
     * 乙类危险品生产数量（吨/月）
     */
    private BigDecimal hazardousProduceB;

    /**
     * 丙类危险品生产数量（吨/月）
     */
    private BigDecimal hazardousProduceC;

    /**
     * 丁戊类危险品生产数量（吨/月）
     */
    private BigDecimal hazardousProduceD;

    /**
     * 甲类危险品存储数量（吨）
     */
    private BigDecimal hazardousStorageA;

    /**
     * 乙类危险品存储数量（吨）
     */
    private BigDecimal hazardousStorageB;

    /**
     * 丙类危险品存储数量（吨）
     */
    private BigDecimal hazardousStorageC;

    /**
     * 丁戊类危险品存储数量（吨）
     */
    private BigDecimal hazardousStorageD;


}
