package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 厂房灭火器
 * </p>
 *
 * @author han
 * @since 2023-03-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseBuildExtinguish implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 建筑ID
     */
    private Integer buildId;

    /**
     * 灭火器类型;1、水基型灭火器 2、干粉灭火器 3、洁净气体灭火器 4、二氧化碳灭火器 5、泡沫灭火器 6、其他灭火器
     */
    private Integer extinguishType;

    /**
     * 灭火器数量
     */
    private Integer extinguishNum;

    /**
     * 删除标识
     */
    private String deleteFlag;

}
