package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 联网单位信息表
 * </p>
 *
 * @author JCB
 * @since 2022-08-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseCompany implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 组织机构编码
     */
    private String organization;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 单位拼音简称
     */
    private String nameAbbreviation;

    /**
     * 单位类型
     */
    private String companyType;

    /**
     * 单位详细地址
     */
    private String address;

    /**
     * 火灾危险性
     */
    private String fireHazard;

    /**
     * 邮政编码
     */
    private String postalCode;

    /**
     * 邮箱
     */
    private String mailbox;

    /**
     * 单位联系人
     */
    private String linkPerson;

    /**
     * 单位联系电话
     */
    private String linkPhone;

    /**
     * 单位传真
     */
    private String companyFax;

    /**
     * 经济所有制
     */
    private String economicOwnership;

    /**
     * 单位成立时间
     */
    private LocalDateTime foundTime;

    /**
     * 上级主管单位
     */
    private String upperName;

    /**
     * 单位等级
     */
    private Integer companyGrade;

    /**
     * 单位性质
     */
    private Integer companyNature;

    /**
     * 行政区域
     */
    private String administrativeDivision;

    /**
     * 行政区域名称
     */
    private String divisionName;

    /**
     * 消防管辖
     */
    private String fireJurisdiction;

    /**
     * 支队级机构ID填充
     */
    private String detachmentId;

    /**
     * 街镇
     */
    private String streetTown;

    /**
     * 删除标记
     */
    private String enable;

    /**
     * 创建者姓名
     */
    private String creatorName;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人姓名
     */
    private String updatePersonName;

    /**
     * 修改人的IP
     */
    private String updatePersonIp;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}
