package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 联网单位信息附表1
 * </p>
 *
 * @author JCB
 * @since 2022-09-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseCompanyAttach1 implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 支队级机构简称
     */
    private String detachmentName;

    /**
     * 管辖机构（含大队）
     */
    private String governBody;

    /**
     * 单位属性主分类
     */
    private String mainAttributeType;

    /**
     * 单位主属性
     */
    private String mainAttribute;

    /**
     * 单位子属性
     */
    private String sonAttribute;

    /**
     * 固定资产（单位：万元）
     */
    private String fixedAssets;

    /**
     * 职工人数
     */
    private String employeeNum;

    /**
     * 营业时最大人数
     */
    private String businessMaxNum;

    /**
     * 占地面积
     */
    private String coverArea;

    /**
     * 建筑面积
     */
    private String buildArea;

    /**
     * 自动消防设施情况
     */
    private String autoFireFacilities;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 地理情况
     */
    private String geography;

    /**
     * 有无避难层
     */
    private String refugeFloor;

    /**
     * 避难层数量
     */
    private String refugeFloorNum;

    /**
     * 避难层面积
     */
    private String refugeFloorArea;

    /**
     * 避难层位置
     */
    private String refugeFloorPosition;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 单位平面图名称
     */
    private String planName;

    /**
     * 单位平面图存放地址
     */
    private String planUrl;

    /**
     * 建筑数量
     */
    private String buildNum;

    /**
     * 上级消防管辖单位
     */
    private String superiorFireJurisdiction;

    /**
     * 实际单位ID
     */
    private String actualCompanyId;

    /**
     * GLID
     */
    private String glId;

    /**
     * 确定重点单位时间
     */
    private LocalDateTime determineKeyTime;

    /**
     * 取消重点单位时间
     */
    private LocalDateTime cancelKeyTime;

    /**
     * 操作类型
     */
    private String operationType;

    /**
     * 老的单位ID
     */
    private String oldCompanyId;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 注册资金
     */
    private String registeredCapital;

    /**
     * 经营状态
     */
    private String businessStatus;

    /**
     * 实缴资本
     */
    private String paidCapital;

    /**
     * 登记机关
     */
    private String registrar;

    /**
     * 竣工年份
     */
    private String completedTime;

    /**
     * 耐火等级
     */
    private String fireRating;

    /**
     * 建筑高度
     */
    private String buildingHeight;

    /**
     * 建筑结构
     */
    private String buildingStructure;

    /**
     * 建筑情况
     */
    private String construction;

    /**
     * 产证
     */
    private String birthCert;


}
