package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 联网单位信息附表2
 * </p>
 *
 * @author JCB
 * @since 2022-09-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseCompanyAttach2 implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 义务消防员数
     */
    private String volunteerFiremanNum;

    /**
     * 消防自救措施
     */
    private String selfRescueMeasures;

    /**
     * 外围消防设施
     */
    private String peripheralFireFacilities;

    /**
     * 历史灾情
     */
    private String historicalDisaster;

    /**
     * 毗邻单位东
     */
    private String adjacentEast;

    /**
     * 毗邻单位南
     */
    private String adjacentSouth;

    /**
     * 毗邻单位西
     */
    private String adjacentWest;

    /**
     * 毗邻单位北
     */
    private String adjacentNorth;

    /**
     * 安全出口数
     */
    private String safetyExitsNum;

    /**
     * 消防车道数
     */
    private String fireLaneNum;

    /**
     * 消防车道位置
     */
    private String fireLanePosition;

    /**
     * 疏散电梯数
     */
    private String sparseElevatorNum;

    /**
     * 消防电梯数
     */
    private String fireElevatorNum;

    /**
     * 燃气类型
     */
    private String gasType;

    /**
     * 档案负责人
     */
    private String archivesPerson;

    /**
     * 消防监督监管（档案录入人）
     */
    private String archivesInputPerson;

    /**
     * 建档用户
     */
    private String filingPerson;

    /**
     * 建档用户姓名
     */
    private String filingPersonName;

    /**
     * 数据交换标记
     */
    private String dataExchangeMark;

    /**
     * 数据交换时间
     */
    private LocalDateTime dataExchangeTime;

    /**
     * 监督修改时间
     */
    private LocalDateTime superviModifyTime;

    /**
     * 总队机构ID
     */
    private String corpsId;

    /**
     * 是否派出所数据
     */
    private String policeData;

    /**
     * Row_Version
     */
    private String rowVersion;

    /**
     * 是否建筑管理单位
     */
    private String manageCompany;

    /**
     * SFHJHDW
     */
    private String sfhjhdw;

    /**
     * 是否高危单位
     */
    private String highRisk;

    /**
     * SFWBQY
     */
    private String sfwbqy;

    /**
     * HJHJZSL
     */
    private String hjhjzsl;

    /**
     * LGACC
     */
    private String lgacc;

    /**
     * LGACCName
     */
    private String lgaccName;

    /**
     * BZDZKGLID
     */
    private String bzdzkglid;

    /**
     * QRTime
     */
    private LocalDateTime qrtime;

    /**
     * QRAcc
     */
    private String qracc;

    /**
     * 重点单位确认人员姓名
     */
    private String determineKeyName;

    /**
     * QRYJ
     */
    private String qryj;

    /**
     * QRYJMS
     */
    private String qryjjms;

    /**
     * SCRKSJ
     */
    private String scrksj;

    /**
     * lawID
     */
    private String lawId;

    /**
     * 备用字段1
     */
    private String reserveField1;

    /**
     * 备用字段2
     */
    private String reserveField2;

    /**
     * 备用字段3
     */
    private String reserveField3;

    /**
     * 备用字段4
     */
    private String reserveField4;

    /**
     * BDP_AUDIT
     */
    private LocalDateTime bdpAudit;

    /**
     * unionKey
     */
    private String unionKey;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}
