package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 单位信息变更表
 * </p>
 *
 * @author han
 * @since 2023-02-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseCompanyChange implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 组织机构编码
     */
    private String organization;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 单位详细地址
     */
    private String address;

    /**
     * 单位类型（1：重点单位、2：一般单位、3：九小场所、9：其他单位）
     */
    private String companyType;

    /**
     * 单位联系电话
     */
    private String linkPhone;

    /**
     * 单位性质
     */
    private Integer companyNature;

    /**
     * 管辖机构（含大队）
     */
    private String governBody;

    /**
     * 消防安全管理人电话
     */
    private String fireManagePhone;

    /**
     * 消防安全管理人姓名
     */
    private String fireManageName;

    /**
     * 职工人数
     */
    private String employeeNum;

    /**
     * 占地面积
     */
    private String coverArea;

    /**
     * 法人代表姓名
     */
    private String delegateName;

    /**
     * 火灾危险性
     */
    private String fireHazard;

    /**
     * 单位成立时间
     */
    private LocalDateTime foundTime;

    /**
     * 行政区域
     */
    private String administrativeDivision;

    /**
     * 消防安全责任人姓名
     */
    private String fireDutyName;

    /**
     * 单位主属性
     */
    private String mainAttribute;

    /**
     * 固定资产
     */
    private String fixedAssets;

    /**
     * 建筑面积
     */
    private String buildArea;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 街镇
     */
    private String streetTown;

    /**
     * 产证
     */
    private String birthCert;

}
