package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;
import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 联网单位消防人员信息
 * </p>
 *
 * @author JCB
 * @since 2022-08-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseCompanyPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 联网单位id
     */
    private String companyId;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 消防控制室电话
     */
    private String fireControlPhone;

    /**
     * 消防安全责任人姓名
     */
    private String fireDutyName;

    /**
     * 消防安全责任人公民身份号码
     */
    private String fireDutyIdcard;

    /**
     * 消防安全责任人电话
     */
    private String fireDutyPhone;

    /**
     * 消防安全管理人姓名
     */
    private String fireManageName;

    /**
     * 消防安全管理人公民身份号码
     */
    private String fireManageIdcard;

    /**
     * 消防安全管理人电话
     */
    private String fireManagePhone;

    /**
     * 专兼职消防管理人姓名
     */
    private String partTimeFireName;

    /**
     * 专兼职消防管理人公民身份号码
     */
    private String partTimeFireIdcard;

    /**
     * 专兼职消防管理人电话
     */
    private String partTimeFirePhone;

    /**
     * 法人代表姓名
     */
    private String delegateName;

    /**
     * 法人代表公民身份号码
     */
    private String delegateIdcard;

    /**
     * 法人代表电话
     */
    private String delegatePhone;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 查岗次数
     */
    @TableField(exist = false)
    private Integer inspectCount;

    /**
     * 应答次数
     */
    @TableField(exist = false)
    private Integer answerCount;

    /**
     * 最后查岗时间
     */
    @TableField(exist = false)
    private LocalDateTime inspectTime;
}
