package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author JCB
 * @since 2022-08-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BaseDevice implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 设备信息表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 安装位置
     */
    private String installAddress;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 产品ID
     */
    private Integer productId;

    /**
     * 所属楼层
     */
    private Integer floor;

    /**
     * 物联网卡号
     */
    private String simNum;

    /**
     * 通信方式
     */
    private Integer communicatMode;

    /**
     * 设备所属模型坐标
     */
    private String modelPosition;

    /**
     * 防火分区
     */
    private String fireZone;

    /**
     * 倍率
     */
    private Integer magnification;

    /**
     * 解析方法
     */
    private String analyticMethod;

    /**
     * 安装时间
     */
    private LocalDate installTime;

    /**
     * 安装人
     */
    private String installPerson;

    /**
     * 使能标识
     */
    private Integer enable;

    /**
     * 所属单位ID
     */
    private String companyId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 创建人
     */
    private String creator;


}
