package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 基础信息_设备点位
 * </p>
 *
 * @author JCB
 * @since 2022-08-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseDeviceAttribute implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备id
     */
    private Integer deviceId;

    /**
     * 端口
     */
    private Integer ports;

    /**
     * 端口类型(1开关量 2模拟量)
     */
    private Integer portType;

    /**
     * 系统类型(1：火灾报警系统，2：自动喷水灭火系统，3：防火门及卷帘系统，4：气体灭火系统，5：消火栓系统)
     */
    private Integer systemType;

    /**
     * 电平类型(1高电平 2低电平)
     */
    private Integer levelType;

    /**
     * 高电平名称
     */
    private String highLevelName;

    /**
     * 低电平名称
     */
    private String lowLevelName;

    /**
     * 端口编码(与influxdb保持一致)
     */
    private String portCode;

    /**
     * 端口名称
     */
    private String portName;

    /**
     * 模拟量参数
     */
    private String analogQuantityParameter;

    /**
     * 模拟量告警上限
     */
    private String analogAlarmUpper;

    /**
     * 模拟量告警下限
     */
    private String analogAlarmLower;

    /**
     * 量程
     */
    private String range;

    /**
     * 量程上限
     */
    private String rangeUpper;

    /**
     * 量程下限
     */
    private String rangeLower;

    /**
     * 输出
     */
    private String output;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 创建人
     */
    private String creator;


}
