package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备状态表
 * </p>
 *
 * @author JCB
 * @since 2022-09-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseDeviceStatus implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备状态（0：离线、1：正常、2：故障、3：告警）
     */
    private Integer deviceStatus;

    /**
     * 上报时间
     */
    private LocalDateTime reportTime;

    /**
     * 单位ID
     */
    private String companyId;


}
