package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 地理信息
 * </p>
 *
 * @author han
 * @since 2023-04-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseGgpFacility implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设施编号
     */
    private String facilityNum;

    /**
     * 设施名称
     */
    private String facilityName;

    /**
     * 设施状态
     */
    private Integer status;

    /**
     * 设施地址
     */
    private String address;

    /**
     * 设施类型(1、天然水源 2、建筑)
     */
    private Integer facilityType;

    /**
     * 经度(当设施类型为点时使用该字段)
     */
    private String longitude;

    /**
     * 纬度(当设施类型为点时使用该字段)
     */
    private String latitude;

    /**
     * 经纬度集合(由多个GPS点组成的多边形，当设施类型为线和面时使用该字段)
     */
    private String gpsAreas;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 区（县）
     */
    private String area;

    /**
     * 所属街镇
     */
    private String streetTown;

    /**
     * 联系人
     */
    private String contact;

    /**
     * 联系方式
     */
    private String contactPhone;

    /**
     * 审核状态
     */
    private Integer checkStatus;

    /**
     * 审核人编号
     */
    private Integer checkId;

    /**
     * 审核人姓名
     */
    private String checkName;

    /**
     * 审核批复
     */
    private String checkComment;

    /**
     * 扩展属性(json格式存储每个设施独有的属性)
     */
    private String extendData;

    /**
     * 图⽚地址URL
     */
    private String imagesUrl;

    /**
     * 组织结构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 单位ID
     */
    private Integer companyId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 创建人
     */
    private String creator;


}
