package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 三维模型设备信息
 * </p>
 *
 * @author JCB
 * @since 2022-09-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseModel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 模型名称
     */
    private String modelName;

    /**
     * 模型类型
     */
    private String modelType;

    /**
     * 模型URL
     */
    private String modelUrl;

    /**
     * 模型坐标
     */
    private String modelPosition;

    /**
     * 模型旋转角度
     */
    private String modelAngle;

    /**
     * 模型大小(默认大小[1,1,1])
     */
    private String modelScale;

    /**
     * 模型设备拖拽
     */
    private Boolean modelDragBool;

    /**
     * 楼层
     */
    private Integer floor;

    /**
     * 建筑ID
     */
    private Integer buildId;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 使能标识(1：开通 、2：待定 、3：注销)
     */
    private Integer enable;

    /**
     * 对应设备编号
     */
    private String deviceCode;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 创建人
     */
    private String creator;


}
