package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 街镇
 * </p>
 *
 * @author han
 * @since 2023-02-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStreetTown implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 街镇名称
     */
    private String streetTownName;

    /**
     * 省
     */
    private String economize;

    /**
     * 市
     */
    private String market;

    /**
     * 区县
     */
    private String districtCounty;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
