package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;
import java.io.Serializable;

import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 实时数据表
 * </p>
 *
 * @author JCB
 * @since 2022-08-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DataRt implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String companyName;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 设备编号
     */
    @Excel(name = "设备编号")
    private String deviceCode;

    /**
     * 设备类型名称
     */
    @Excel(name = "设备类型")
    @TableField(exist = false)
    private String deviceTypeName;

    /**
     * 端口名称
     */
    @Excel(name = "端口名称")
    private String portName;

    /**
     * 端口
     */
    @Excel(name = "端口编号")
    private Integer ports;

    /**
     * 采集时间
     */
    @Excel(name = "数据更新时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dataTime;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 系统类型(1.火灾自动报警系统 2.自动喷水灭火系统 3.消防给水及消火栓系统 4.防排烟系统 5.电气火灾系统 6.消防视频监控系统)
     */
    private Integer systemType;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 端口编码
     */
    private String portCode;

    /**
     * 采集值
     */
    private String portData;

    /**
     * 说明
     */
    private String content;




}
