package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 不同意使用
 * </p>
 *
 * @author JCB
 * @since 2022-10-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemAtlDisagree implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 不同意使用ID
     */
    private String disagreeId;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 源法律文书ID
     */
    private String sourcePaperId;

    /**
     * 源法律文书类别
     */
    private String sourcePaperType;

    /**
     * 文号1
     */
    private String documentNumber1;

    /**
     * 文号2
     */
    private String documentNumber2;

    /**
     * 文号3
     */
    private String documentNumber3;

    /**
     * 文号4
     */
    private String documentNumber4;

    /**
     * 文号
     */
    private String documentNumber;

    /**
     * 公安局
     */
    private String publicSecurity;

    /**
     * 文书抬头
     */
    private String paperTitle;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 检查申请
     */
    private String inspectRequest;

    /**
     * 检查单位
     */
    private String inspectCompany;

    /**
     * 检查日期
     */
    private LocalDateTime inspectTime;

    /**
     * 法律规定
     */
    private String legalProvision;

    /**
     * 不同意内容
     */
    private String disagreeContent;

    /**
     * 申请行政复议单位
     */
    private String reconsiderCompany;

    /**
     * 人民法院
     */
    private String peopleCourt;

    /**
     * 填发日期
     */
    private LocalDateTime fillingTime;

    /**
     * 审批人账号
     */
    private String approverAccount;

    /**
     * 审批人姓名
     */
    private String approverName;

    /**
     * 审批时间
     */
    private LocalDateTime approvalTime;

    /**
     * 审批意见
     */
    private String approvalOpinion;

    /**
     * 是否送达
     */
    private String whetherService;

    /**
     * 送达方式
     */
    private String serviceMode;

    /**
     * 法律文书版本号
     */
    private String sourcePaperVersion;

    /**
     * 主管单位
     */
    private String competentCompany;

    /**
     * 录入人账号
     */
    private String enteredAccount;

    /**
     * 录入人姓名
     */
    private String enteredName;

    /**
     * 录入时间
     */
    private LocalDateTime enteredTime;

    /**
     * 录入人IP
     */
    private String enteredIp;

    /**
     * 修改人账号
     */
    private String updateAccount;

    /**
     * 修改人姓名
     */
    private String updateName;

    /**
     * 修改时间
     */
    private LocalDateTime updateTime;

    /**
     * 修改IP
     */
    private String updateIp;

    /**
     * 是否删除
     */
    private String deleteFlag;

    /**
     * 备用字段1
     */
    private String alternateField1;

    /**
     * 备用字段2
     */
    private String alternateField2;

    /**
     * 备用字段3
     */
    private String alternateField3;

    /**
     * 备用字段4
     */
    private String alternateField4;

    /**
     * 备用字段5
     */
    private String alternateField5;

    /**
     * Row_Version
     */
    private String rowVersion;

    /**
     * Csdz
     */
    private String csdz;

    /**
     * spbId
     */
    private String spbId;

    /**
     * IsRead
     */
    private String isRead;

    /**
     * ReadTime
     */
    private LocalDateTime readTime;

    /**
     * BDP_AUDIT
     */
    private LocalDateTime bdpAudit;

    /**
     * unionKey
     */
    private String unionKey;


}
