package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 安全检查合格证
 * </p>
 *
 * @author JCB
 * @since 2022-10-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemAtlInspectCertificate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 法律文书ID
     */
    private String legalPaperId;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 源法律文书ID
     */
    private String sourcePaperId;

    /**
     * 源法律文书类别
     */
    private String sourcePaperType;

    /**
     * 文号1
     */
    private String documentNumber1;

    /**
     * 文号2
     */
    private String documentNumber2;

    /**
     * 文号3
     */
    private String documentNumber3;

    /**
     * 文号4
     */
    private String documentNumber4;

    /**
     * 文号
     */
    private String documentNumber;

    /**
     * 文书抬头
     */
    private String paperTitle;

    /**
     * 场所名称
     */
    private String siteName;

    /**
     * 场所地址
     */
    private String siteAddress;

    /**
     * 消防安全责任人
     */
    private String safetyPerson;

    /**
     * 使用性质
     */
    private String useNature;

    /**
     * 场所所在建筑名称
     */
    private String siteBuildName;

    /**
     * 场所所在层数
     */
    private String siteBuildFloor;

    /**
     * 场所建筑面积
     */
    private String siteBuildArea;

    /**
     * 使用情况
     */
    private String useSituation;

    /**
     * 现有消防设施
     */
    private String fireFacilities;

    /**
     * 填发日期
     */
    private LocalDateTime fillingTime;

    /**
     * 审批人账号
     */
    private String approverAccount;

    /**
     * 审批人姓名
     */
    private String approverName;

    /**
     * 审批时间
     */
    private LocalDateTime approvalTime;

    /**
     * 是否取件送达
     */
    private String whetherDeliver;

    /**
     * 法律文书版本号
     */
    private String documentVersion;

    /**
     * 主管单位ID
     */
    private String competentCompanyId;

    /**
     * 创建人账号
     */
    private String creator;

    /**
     * 创建人姓名
     */
    private String creatorName;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建IP
     */
    private String createIp;

    /**
     * 修改人账号
     */
    private String updatePerson;

    /**
     * 修改人姓名
     */
    private String updateName;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 修改IP
     */
    private String updateIp;

    /**
     * 删除标识
     */
    private String deleteFlag;

    /**
     * Row_Version
     */
    private String rowVersion;

    /**
     * spbId
     */
    private String spbId;

    /**
     * IsRead
     */
    private String isRead;

    /**
     * ReadTime
     */
    private LocalDateTime readTime;

    /**
     * BDP_AUDIT
     */
    private LocalDateTime bdpAudit;

    /**
     * unionKey
     */
    private String unionKey;


}
