package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 消防安检申报总表
 * </p>
 *
 * @author JCB
 * @since 2022-10-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemAtlInspectDeclare implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * ID
     */
    private String declareId;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 申报单位编号
     */
    private String declareCompanyCode;

    /**
     * 申请单位名称
     */
    private String declareCompanyName;

    /**
     * 申报人
     */
    private String declarePerson;

    /**
     * 填表日期
     */
    private LocalDateTime fillTime;

    /**
     * 场所名称
     */
    private String siteName;

    /**
     * 法定代表人/主要负责人
     */
    private String legalRepresentative;

    /**
     * 场所所在地址
     */
    private String siteAddress;

    /**
     * 场所建筑面积
     */
    private String siteArea;

    /**
     * 场所所在层数（地上/地下）
     */
    private String siteFloor;

    /**
     * 联系人
     */
    private String linkPerson;

    /**
     * 联系电话
     */
    private String linkPhone;

    /**
     * 场所性质一
     */
    private String siteNature1;

    /**
     * 场所性质一详情
     */
    private String siteNatureDetails1;

    /**
     * 场所性质
     */
    private String siteNature;

    /**
     * 场所性质详情
     */
    private String siteNatureDetails;

    /**
     * 场所性质二
     */
    private String siteNature2;

    /**
     * 场所性质二详情
     */
    private String siteNatureDetails2;

    /**
     * 建筑结构编号
     */
    private String buildNum;

    /**
     * 建筑结构名称
     */
    private String buildNature;

    /**
     * 场所所在建筑情况-名称
     */
    private String siteBuildName;

    /**
     * 场所所在建筑情况--建筑面积
     */
    private String siteBuildArea;

    /**
     * 场所所在建筑情况--建筑层数（地上/地下）
     */
    private String siteBuildFloor;

    /**
     * 场所所在建筑情况--建筑高度
     */
    private String siteBuildHigh;

    /**
     * 备案号
     */
    private String filingNumber;

    /**
     * 备案情况说明
     */
    private String filingDescription;

    /**
     * 备案情况
     */
    private String filing;

    /**
     * 文号
     */
    private String documentNumber;

    /**
     * 其他需要说明情况
     */
    private String otherDescription;

    /**
     * 不受理原因
     */
    private String rejectionReason;

    /**
     * 现有消防设施
     */
    private String fireFacilities;

    /**
     * 消防设施类型
     */
    private String fireFacilitiesType;

    /**
     * 是否有其他设施
     */
    private String whetherOtherFacilities;

    /**
     * 其他设施
     */
    private String otherFacilities;

    /**
     * 是否有安全出口
     */
    private String whetherExit;

    /**
     * 安全出口数量
     */
    private String exitNumber;

    /**
     * 是否有灭火器
     */
    private String whetherAnnihilator;

    /**
     * 灭火器数量
     */
    private String annihilatorNumber;

    /**
     * 其他消防设施情况
     */
    private String otherFacilitiesSituation;

    /**
     * 安全出口数量情况
     */
    private String exitNumberSituation;

    /**
     * 灭火器数量情况
     */
    private String annihilatorNumberSituation;

    /**
     * 任务状态
     */
    private String taskStatus;

    /**
     * 受理状态
     */
    private String acceptStatus;

    /**
     * 是否合格
     */
    private String whetherQualified;

    /**
     * 是否取件送达
     */
    private String whetherDeliver;

    /**
     * 受理人账户
     */
    private String acceptAccount;

    /**
     * 受理人姓名
     */
    private String acceptName;

    /**
     * 受理日期
     */
    private LocalDateTime acceptTime;

    /**
     * 截止日期
     */
    private LocalDateTime closingTime;

    /**
     * 决定书审批流程
     */
    private String decisionApprovalProcess;

    /**
     * 法律文书版本号
     */
    private String documentVersion;

    /**
     * 受理单位
     */
    private String acceptCompany;

    /**
     * 主管单位
     */
    private String competentCompany;

    /**
     * 录入人账号
     */
    private String enteredAccount;

    /**
     * 录入人姓名
     */
    private String enteredName;

    /**
     * 录入时间
     */
    private LocalDateTime enteredTime;

    /**
     * 录入人IP
     */
    private String enteredIp;

    /**
     * 修改人账号
     */
    private String updateAccount;

    /**
     * 修改人姓名
     */
    private String updateName;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 修改IP
     */
    private String updateIp;

    /**
     * 删除标识
     */
    private String deleteFlag;

    /**
     * 审批人账号
     */
    private String approverAccount;

    /**
     * 审批人姓名
     */
    private String approverName;

    /**
     * 审批时间
     */
    private LocalDateTime approvalTime;

    /**
     * 备用字段1
     */
    private String alternateField1;

    /**
     * 备用字段2
     */
    private String alternateField2;

    /**
     * 备用字段3
     */
    private String alternateField3;

    /**
     * 备用字段4
     */
    private String alternateField4;

    /**
     * 备用字段5
     */
    private String alternateField5;

    /**
     * Row_Version
     */
    private String rowVersion;

    /**
     * Baqtqk
     */
    private String baqtqk;

    /**
     * SFFHBZ
     */
    private String sffhbz;

    /**
     * FHBZQX
     */
    private String fhbzqx;

    /**
     * BDP_AUDIT
     */
    private LocalDateTime bdpAudit;

    /**
     * unionKey
     */
    private String unionKey;


    /**
     * 关联表ID
     */
    @TableField(exist = false)
    private Integer id1;

    /**
     * 消防安全责任人
     */
    @TableField(exist = false)
    private String safetyPerson;

    /**
     * 使用性质
     */
    @TableField(exist = false)
    private String useNature;
}
