package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 安全检查凭证
 * </p>
 *
 * @author JCB
 * @since 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemAtlInspectVoucher implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 凭证ID
     */
    private String voucherId;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 凭证类型
     */
    private String voucherType;

    /**
     * 源法律文书ID
     */
    private String sourcePaperId;

    /**
     * 源法律文书类别
     */
    private String sourcePaperType;

    /**
     * 文号1
     */
    private String documentNumber1;

    /**
     * 文号2
     */
    private String documentNumber2;

    /**
     * 文号3
     */
    private String documentNumber3;

    /**
     * 文号4
     */
    private String documentNumber4;

    /**
     * 文号
     */
    private String documentNumber;

    /**
     * 文书抬头
     */
    private String paperTitle;

    /**
     * 申请单位
     */
    private String declareCompany;

    /**
     * 工程名称
     */
    private String projectName;

    /**
     * 提供材料编号
     */
    private String materialCode;

    /**
     * 提供材料名称
     */
    private String materialName;

    /**
     * 是否符合规定
     */
    private Integer whetherComplies;

    /**
     * 是否受理
     */
    private Integer whetherAccept;

    /**
     * 是否需补正
     */
    private Integer whetherCorrect;

    /**
     * 补正内容
     */
    private String correctContent;

    /**
     * 是否专家评审
     */
    private Integer whetherReview;

    /**
     * 消防安全检查时限（小时）
     */
    private Integer inspectTimeLimit;

    /**
     * 消防安全检查时限内容
     */
    private String timeLimitContent;

    /**
     * 附件内容
     */
    private String annexContent;

    /**
     * 申请人
     */
    private String declarePerson;

    /**
     * 受理人
     */
    private String acceptPerson;

    /**
     * 受理时间
     */
    private LocalDateTime acceptTime;

    /**
     * 版本号
     */
    private Integer versionCode;

    /**
     * 受理单位
     */
    private String acceptCompany;

    /**
     * 审批人账号
     */
    private String approverAccount;

    /**
     * 审批人姓名
     */
    private String approverName;

    /**
     * 审批时间
     */
    private LocalDateTime approvalTime;

    /**
     * 创建人账号
     */
    private String creator;

    /**
     * 创建人姓名
     */
    private String creatorName;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建IP
     */
    private String createIp;

    /**
     * 修改人账号
     */
    private String updatePerson;

    /**
     * 修改人姓名
     */
    private String updateName;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 修改IP
     */
    private String updateIp;

    /**
     * 删除标识
     */
    private String deleteFlag;

    /**
     * 备用字段1
     */
    private String alternateField1;

    /**
     * 备用字段2
     */
    private String alternateField2;

    /**
     * 备用字段3
     */
    private String alternateField3;

    /**
     * 备用字段4
     */
    private String alternateField4;

    /**
     * 备用字段5
     */
    private String alternateField5;

    /**
     * Row_Version
     */
    private String rowVersion;

    /**
     * 工程地址
     */
    private String projectAddress;

    /**
     * 受理情况
     */
    private String acceptSituation;

    /**
     * 被受理编号
     */
    private String acceptedCode;

    /**
     * 单位简称
     */
    private String companyAbbreviate;

    /**
     * 申请时间
     */
    private LocalDateTime declareTime;

    /**
     * IsRead
     */
    private String isRead;

    /**
     * ReadTime
     */
    private LocalDateTime readTime;

    /**
     * unionKey
     */
    private String unionKey;


}
