package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 建筑评分
 * </p>
 *
 * @author JCB
 * @since 2022-09-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemBuildScore implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 权重名称
     */
    private String weightName;

    /**
     * 风险点ID
     */
    private Integer riskId;

    /**
     * 风险最大值
     */
    private String riskMax;

    /**
     * 得分
     */
    private String buildScore;

    /**
     * 占比
     */
    private String weightProportion;

    /**
     * 使能标识(1：开通、2：待定 、3：注销)
     */
    private Integer enable;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}
