package com.usky.fire.domain;

import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备案件
 * </p>
 *
 * @author JCB
 * @since 2022-10-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemCase implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 案件编号
     */
    private Long id;

    /**
     * 发生时间
     */
    private LocalDateTime createTime;

    /**
     * 案件类型
     */
    private String caseType;

    /**
     * 所属街道
     */
    private String street;

    /**
     * 案发地址
     */
    private String address;

    /**
     * 网格
     */
    private String grid;

    /**
     * 案件描述
     */
    private String caseDescribe;

    /**
     * 责任部门
     */
    private String dutyGroup;

    /**
     * 0立案1派遣2处理3结案
     */
    private Integer caseFlag;

    /**
     * 截止时间
     */
    private LocalDateTime endTime;

    /**
     * 附件
     */
    private String enclosure;

    /**
     * 图片
     */
    private String image;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 处理人
     */
    private String disposePerson;

    /**
     * 处理电话
     */
    private String disposePhone;

    /**
     * 责任人
     */
    private String chargePerson;

    /**
     * 责任电话
     */
    private String chargePhone;


}
