package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 消防监督检查记录
 * </p>
 *
 * @author JCB
 * @since 2022-09-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemEnforceInspectRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * ID
     */
    private String projectId;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 检查描述
     */
    private String inspectDescript;

    /**
     * 检查形式类别
     */
    private Integer inspectType;

    /**
     * 检查形式名称
     */
    private String inspectName;

    /**
     * 文号1
     */
    private String documentNumber1;

    /**
     * 文号2
     */
    private String documentNumber2;

    /**
     * 文号3
     */
    private String documentNumber3;

    /**
     * 文号4
     */
    private String documentNumber4;

    /**
     * 文号
     */
    private String documentNumber;

    /**
     * 文书抬头
     */
    private String paperTitle;

    /**
     * 被查单位编号
     */
    private String companyCode;

    /**
     * 被检查单位（场所）名称
     */
    private String companyName;

    /**
     * 单位地址
     */
    private String companyAddress;

    /**
     * 消防安全责任人姓名
     */
    private String fireDutyName;

    /**
     * 消防安全责任人电话
     */
    private String fireDutyPhone;

    /**
     * 消防安全管理人姓名
     */
    private String fireManageName;

    /**
     * 消防安全管理人电话
     */
    private String fireManagePhone;

    /**
     * 单位联系人
     */
    private String linkPerson;

    /**
     * 单位联系电话
     */
    private String linkPhone;

    /**
     * 单位性质编号
     */
    private Integer companyNatureCode;

    /**
     * 单位性质名称
     */
    private String companyNatureName;

    /**
     * 消防监督检查员
     */
    private String enforceInspectPerson;

    /**
     * 检查起始时间
     */
    private LocalDateTime inspectStartTime;

    /**
     * 检查结束时间
     */
    private LocalDateTime inspectEndTime;

    /**
     * 被检查单位随同检查人员
     */
    private String companyInspectPerson;

    /**
     * 被检查单位主管人员
     */
    private String companyManagePerson;

    /**
     * 消防许可及验收备案内容
     */
    private String allowRecordContent;

    /**
     * 消防安全管理内容
     */
    private String safeManageContent;

    /**
     * 建筑防火内容
     */
    private String fireProtectContent;

    /**
     * 安全疏散内容
     */
    private String safeEvacuatContent;

    /**
     * 消防控制室内容
     */
    private String fireControlContent;

    /**
     * 消防设施器材-火灾自动报警系统内容
     */
    private String fireSystemFacilities;

    /**
     * 消防设施器材-消防给水设施
     */
    private String waterSupplyFacilities;

    /**
     * 消防设施器材-自动灭火系统-自动喷水灭火系统
     */
    private String waterSprayFacilities;

    /**
     * 消防设施器材-自动灭火系统-其它自动灭火系统
     */
    private String autoFireFacilities;

    /**
     * 消防设施器材-其它设施器材
     */
    private String otherFacilities;

    /**
     * 其他消防安全管理
     */
    private String otherSafeManage;

    /**
     * 备注
     */
    private String remark;

    /**
     * 建筑面积
     */
    private String buildArea;

    /**
     * 建筑层数
     */
    private String buildFloor;

    /**
     * 建筑高度
     */
    private String buildHigh;

    /**
     * 违法行为
     */
    private String illegalAct;

    /**
     * 处理情况
     */
    private String handlingSituation;

    /**
     * 检查是否合格
     */
    private Integer inspectQualified;

    /**
     * 后续文书是否出过
     */
    private Integer subsequentPaper;

    /**
     * 是否复查
     */
    private Integer reviewSituation;

    /**
     * 审批人账号
     */
    private String approver;

    /**
     * 审批人姓名
     */
    private String approverName;

    /**
     * 审批时间
     */
    private LocalDateTime approvalTime;

    /**
     * 主管单位
     */
    private String competentUnit;

    /**
     * 创建人姓名
     */
    private String creatorName;

    /**
     * 创建IP
     */
    private String createIp;

    /**
     * 修改人姓名
     */
    private String updateName;

    /**
     * 修改IP
     */
    private String updateIp;

    /**
     * 版本号
     */
    private String versionNumber;

    /**
     * 使能标识
     */
    private Integer enable;

    /**
     * 备用字段1
     */
    private String alternateField1;

    /**
     * 备用字段2
     */
    private String alternateField2;

    /**
     * 备用字段3
     */
    private String alternateField3;

    /**
     * 备用字段4
     */
    private String alternateField4;

    /**
     * 备用字段5
     */
    private String alternateField5;

    /**
     * YXMJZRQ
     */
    private LocalDateTime yxmjzrq;

    /**
     * YTXJZRQ
     */
    private LocalDateTime ytxjzrq;

    /**
     * Row_Version
     */
    private String rowVersion;

    /**
     * frdb
     */
    private String frdb;

    /**
     * lawID
     */
    private String lawId;

    /**
     * BDP_AUDIT
     */
    private String bdpAudit;

    /**
     * unionKey
     */
    private String unionKey;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
