package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 监督管理项目全表
 * </p>
 *
 * @author JCB
 * @since 2022-10-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemEnforceProjectAll implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * ID
     */
    private String projectId;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目单位ID
     */
    private String projectCompanyId;

    /**
     * 项目单位名称
     */
    private String projectCompanyName;

    /**
     * 项目单位地址
     */
    private String projectCompanyAddress;

    /**
     * 项目单位类别
     */
    private Integer projectCompanyType;

    /**
     * 监管单位类别（重点单位等）
     */
    private String superviseCompanyType;

    /**
     * 项目总类型
     */
    private Integer projectType;

    /**
     * 项目分类型一
     */
    private String projectBranchType1;

    /**
     * 项目类型一
     */
    private String projectTypeDescribe1;

    /**
     * 项目分类型二
     */
    private String projectBranchType2;

    /**
     * 项目类型二
     */
    private String projectTypeDescribe2;

    /**
     * 关联项目编号
     */
    private String relateProjectCode;

    /**
     * 关联项目类别
     */
    private String relateProjectType;

    /**
     * 关联法律文书ID
     */
    private String relatePaperId;

    /**
     * 关联法律文书类别
     */
    private String relatePaperType;

    /**
     * 关联ID1(备用)
     */
    private String relateId1;

    /**
     * 关联ID2(备用)
     */
    private String relateId2;

    /**
     * 项目状态
     */
    private String projectStatus;

    /**
     * 项目状态值
     */
    private String projectStatusValue;

    /**
     * 项目备用状态
     */
    private String projectSpareStatus;

    /**
     * 项目结果
     */
    private String projectResult;

    /**
     * 项目结果名称
     */
    private String projectResultName;

    /**
     * 结案状态
     */
    private String closeStatus;

    /**
     * 主管单位
     */
    private String competentCompany;

    /**
     * 主管单位简称（含大队）
     */
    private String competentCompanyName;

    /**
     * 受理单位
     */
    private String acceptCompany;

    /**
     * 项目创建日期
     */
    private LocalDateTime projectCreateTime;

    /**
     * 项目完成日期
     */
    private LocalDateTime projectCompleteTime;

    /**
     * 截止日期
     */
    private LocalDateTime closeDate;

    /**
     * 处理时间
     */
    private LocalDateTime processTime;

    /**
     * 是否有制发法律文书
     */
    private String legalPaper;

    /**
     * 受理方式
     */
    private String acceptMethod;

    /**
     * 行政区域编号
     */
    private String administrativeDivision;

    /**
     * CBRAcc
     */
    private String cbrAcc;

    /**
     * 主承办人姓名
     */
    private String undertaker;

    /**
     * XCBAcc
     */
    private String xcbAcc;

    /**
     * 协办人姓名
     */
    private String coOrganizer;

    /**
     * 录入人账号
     */
    private String enteredAccount;

    /**
     * 录入人姓名
     */
    private String enteredName;

    /**
     * 录入时间
     */
    private LocalDateTime enteredTime;

    /**
     * 删除标识
     */
    private String deleteFlag;

    /**
     * SpareFiled1
     */
    private String spareFiled1;

    /**
     * SpareFiled2
     */
    private String spareFiled2;

    /**
     * 是否抽中
     */
    private String winLottery;

    /**
     * SpareFiled4
     */
    private String spareFiled4;

    /**
     * SpareFiled5
     */
    private LocalDateTime spareFiled5;

    /**
     * 项目备用状态2(隐患整改情况) 隐患跟踪： 0未改正，1已改正
     */
    private String projectSpareStatus2;

    /**
     * 项目备用状态3
     */
    private String projectSpareStatus3;

    /**
     * 项目分类型三 L 临时查封项目
     */
    private String projectBranchType3;

    /**
     * 销案时间
     */
    private LocalDateTime closeCaseTime;

    /**
     * 复查时间
     */
    private LocalDateTime reviewTime;

    /**
     * 复查时间2
     */
    private LocalDateTime reviewTime2;

    /**
     * 主要用于审验和备案，标记项目档案的监管单位的归属哪个管辖
     */
    private String revertCompany;

    /**
     * 主管单位ID
     */
    private String competentCompanyId;

    /**
     * ItemFinalResult
     */
    private String itemFinalResult;

    /**
     * ItemStateBak4
     */
    private String itemStateBak4;

    /**
     * 修改时间
     */
    private LocalDateTime updateTime;

    /**
     * 总队机构ID
     */
    private String corpsOrganizateId;

    /**
     * 支队机构ID
     */
    private String detachOrganizateId;

    /**
     * 是否派出所数据
     */
    private String policeData;

    /**
     * ItemTypeSubFour
     */
    private String itemTypeSubfour;

    /**
     * Row_Version
     */
    private String rowVersion;

    /**
     * JZID
     */
    private String jzId;

    /**
     * IsXSSC
     */
    private String isXssc;

    /**
     * KTZLGZ
     */
    private String ktzlgz;

    /**
     * CPJDJCWZ
     */
    private String cpjdjcwz;

    /**
     * BHGYWYY
     */
    private String bhgywyy;

    /**
     * CPJD_GCID
     */
    private String cpjdGcid;

    /**
     * CPJD_CCJHID
     */
    private String cpjdCcjhid;

    /**
     * ISLMQY
     */
    private String islmqy;

    /**
     * HLWZF
     */
    private String hlwzf;

    /**
     * HLWCS
     */
    private String hlwcs;

    /**
     * INSTANCEID
     */
    private String instanceid;

    /**
     * SN
     */
    private String sn;

    /**
     * PROJECTCODE
     */
    private String projectcode;

    /**
     * PROJECT
     */
    private String project;

    /**
     * TZSPRESULT
     */
    private String tzspresult;

    /**
     * DISTRICT
     */
    private String disrict;

    /**
     * PROJECTNAME
     */
    private String projectname;

    /**
     * lawID
     */
    private String lawId;

    /**
     * JSProjectCode
     */
    private String jsprojectCode;

    /**
     * ApplyNo
     */
    private String applyNo;

    /**
     * ApplyCardNum
     */
    private String applyCardNum;

    /**
     * PeopleCardNum
     */
    private String peopleCardNum;

    /**
     * BelongSystem
     */
    private String belongSystem;

    /**
     * SPBDDJ
     */
    private String spbddj;

    /**
     * CLProcess
     */
    private String clpRocess;

    /**
     * BDP_AUDIT
     */
    private LocalDateTime bdpAudit;

    /**
     * 支队机构填充ID
     */
    private String branchId;

    /**
     * 支队级简称（总队及各支队）
     */
    private String branchName;

    /**
     * unionKey
     */
    private String unionKey;


}
