package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 监督检查举报投诉信息附表
 * </p>
 *
 * @author JCB
 * @since 2022-09-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemEnforceReportAttach implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * ID
     */
    private String reportId;

    /**
     * 流水号
     */
    private String serialNumber;

    /**
     * 经办人
     */
    private String operator;

    /**
     * 经办人联系方式
     */
    private String operatorPhone;

    /**
     * 办结时间
     */
    private LocalDateTime completeTime;

    /**
     * 办结提交时间(系统时间)
     */
    private LocalDateTime completeSubmitTime;

    /**
     * 数据录入时间
     */
    private LocalDateTime dataEntryTime;

    /**
     * 附件ID
     */
    private String annexId;

    /**
     * 状态;-1：已删除  0：未提交 1流程中 2 流程完成
     */
    private Integer reportStatus;

    /**
     * 回访状态;0:未回访  1:已回访
     */
    private Integer followUpStatus;

    /**
     * 指挥中心工单接收时间
     */
    private LocalDateTime orderReceiveTime;

    /**
     * 支队接收时间
     */
    private LocalDateTime detachmentReceiveTime;

    /**
     * 大队/派出所接收时间
     */
    private LocalDateTime brigadeReceiveTime;

    /**
     * 指挥中心接收人
     */
    private String commandCenterReceiver;

    /**
     * 支队接收人
     */
    private String detachmentReceiver;

    /**
     * 大队接收人
     */
    private String brigadeReceiver;

    /**
     * ID96119
     */
    private String fireControlId;

    /**
     * ID12345
     */
    private String switchboardPhoneId;

    /**
     * 流程主表ID(myact表)
     */
    private String processTableId;

    /**
     * 流程实例ID
     */
    private String processInstanceId;

    /**
     * 归档日期
     */
    private LocalDateTime filingTime;

    /**
     * 归档人
     */
    private String filingPerson;

    /**
     * 区域
     */
    private String reportArea;

    /**
     * 督办次数
     */
    private String supervisionTimes;

    /**
     * 奖金发放状态;0 :未发放  1 :已发放
     */
    private Integer bonusPaymentStatus;

    /**
     * 支队回退理由
     */
    private String detachmentRollbackReason;

    /**
     * 支队回退日期
     */
    private LocalDateTime detachmentRollbackTime;

    /**
     * 举报附件
     */
    private String reportAttachment;

    /**
     * 未联系其他说明
     */
    private String noContactOther;

    /**
     * 火患场所其他说明
     */
    private String hazardSiteOther;

    /**
     * 火患类别其他说明
     */
    private String hazardTypeOther;

    /**
     * 办结附件
     */
    private String completeAttachment;

    /**
     * 撤销日期
     */
    private LocalDateTime cancelledTime;

    /**
     * 撤销人
     */
    private String cancelledPerson;

    /**
     * 奖金申请单ID
     */
    private String bonusApplicationId;

    /**
     * 支队接收人姓名
     */
    private String detachmentReceiverName;

    /**
     * 总队归档退回标志;0 正常； 1 总队归档退回
     */
    private String brigadeFiledReturn;

    /**
     * 是否需要反馈;1需要  0 不需要
     */
    private Integer needFeedback;

    /**
     * 反馈时间
     */
    private LocalDateTime feedbackTime;

    /**
     * 反馈时限
     */
    private String feedbackDeadline;

    /**
     * 反馈内容
     */
    private String feedbackContent;

    /**
     * BDP_AUDIT
     */
    private LocalDateTime bdpAudit;

    /**
     * 工单状态名称
     */
    private String workOrderStatusName;

    /**
     * 举报方式名称
     */
    private String reportMethodName;

    /**
     * 管辖区域名称
     */
    private String governAreaName;

    /**
     * 火患场所名称
     */
    private String hazardSiteName;

    /**
     * 火患类型名称
     */
    private String hazardTypeName;

    /**
     * 工单类型名称
     */
    private String workOrderTypeName;

    /**
     * unionKey
     */
    private String unionKey;


}
