package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 监督检查举报投诉信息标签表
 * </p>
 *
 * @author JCB
 * @since 2022-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemEnforceReportLabel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 父ID
     */
    private Integer fid;

    /**
     * 标签名称
     */
    private String labelName;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 子集
     */
    @TableField(exist = false)
    private List<DemEnforceReportLabel> subset;

    /**
     * 属性
     */
    @TableField(exist = false)
    private String attribute;
}
