package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 火灾事故说明总表
 * </p>
 *
 * @author JCB
 * @since 2022-09-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemFireAccidentDesc implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 项目ID
     */
    private String projectId;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 法律文书类别
     */
    private String legalPaperType;

    /**
     * 文书抬头
     */
    private String paperTitle;

    /**
     * 说明地点
     */
    private String specifyPlace;

    /**
     * 说明时间
     */
    private LocalDateTime specifyTime;

    /**
     * 说明人姓名1
     */
    private String specifyPerson1;

    /**
     * 说明人单位及职务1
     */
    private String specifyCompanyPost1;

    /**
     * 说明人姓名2
     */
    private String specifyPerson2;

    /**
     * 说明人单位及职务2
     */
    private String specifyCompanyPost2;

    /**
     * 记录人姓名
     */
    private String notePerson;

    /**
     * 记录人单位及职务
     */
    private String noteCompanyPost;

    /**
     * 起火单位（个人）
     */
    private String fireUnit;

    /**
     * 报警时间
     */
    private LocalDateTime alarmTime;

    /**
     * 起火地址
     */
    private String fireAddress;

    /**
     * 到场当事人姓名、单位或住址、联系电话
     */
    private String partiesPresent;

    /**
     * 未到场当事人姓名、单位或住址
     */
    private String partyNotPresent;

    /**
     * 未到场原因
     */
    private String partyNotReason;

    /**
     * 说明内容-单位属性
     */
    private String unitAttribute;

    /**
     * 说明内容-拟认定
     */
    private String firmlyBelieve;

    /**
     * 说明内容-火灾原因说明
     */
    private String fireCause;

    /**
     * 问题1回答
     */
    private String answer1;

    /**
     * 问题2回答
     */
    private String answer2;

    /**
     * 到场当事人签名
     */
    private String partiesPresentName;

    /**
     * 到场当事人签名时间
     */
    private LocalDateTime partiesTime;

    /**
     * 说明人签名
     */
    private String exponentName;

    /**
     * 创建人账号
     */
    private String creator;

    /**
     * 创建人姓名
     */
    private String creatorName;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建IP
     */
    private String createIp;

    /**
     * 修改人账号
     */
    private String updatePerson;

    /**
     * 修改人姓名
     */
    private String updateName;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 修改IP
     */
    private String updateIp;

    /**
     * 审批人账号
     */
    private String approver;

    /**
     * 审批人姓名
     */
    private String approverName;

    /**
     * 审批时间
     */
    private LocalDateTime approvalTime;

    /**
     * 使能标识
     */
    private Integer enable;

    /**
     * 版本号
     */
    private String versionNumber;

    /**
     * 受理单位
     */
    private String acceptanceUnit;

    /**
     * 主管单位
     */
    private String competentUnit;

    /**
     * 备用字段1
     */
    private String alternateField1;

    /**
     * 备用字段2
     */
    private String alternateField2;

    /**
     * 备用字段3
     */
    private String alternateField3;

    /**
     * 备用字段4
     */
    private String alternateField4;

    /**
     * 备用字段5
     */
    private String alternateField5;

    /**
     * Row_Version
     */
    private String rowVersion;

    /**
     * BDP_AUDIT
     */
    private String bdpAudit;

    /**
     * unionKey
     */
    private String unionKey;


}
