package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 消防检查
 * </p>
 *
 * @author JCB
 * @since 2022-11-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemFireInspect implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 所属单位ID
     */
    private String companyId;

    /**
     * 检查人员ID
     */
    private Integer personId;

    /**
     * 计划生成时间
     */
    private LocalDateTime planTime;

    /**
     * 检查结果
     */
    private String inspectResult;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 检查员名称
     */
    @TableField(exist = false)
    private String personName;

    /**
     * 检查员职位
     */
    @TableField(exist = false)
    private String personPosition;

    /**
     * 联系方式
     */
    @TableField(exist = false)
    private String linkPhone;


}
