package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 消防整改数据表
 * </p>
 *
 * @author ZYJ
 * @since 2023-02-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemFireReform implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 整改编号
     */
    private String reformCode;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 整改说明
     */
    private String reformPart;

    /**
     * 发出时间
     */
    private LocalDateTime sendTime;

    /**
     * 整改状态（0 待推送、1 已接收、2 整改中、3 整改完成、4 审核不通过、5 审核通过）
     */
    private Integer reformStatus;

    /**
     * 整改限期时间
     */
    private LocalDateTime limitTime;


}
