package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 消防站
 * </p>
 *
 * @author han
 * @since 2023-03-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemFireStation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 消防站名称
     */
    private String stationName;

    /**
     * 消防站地址
     */
    private String stationAddress;

    /**
     * 消防站类型;1、一类消防站 2、二类消防站 3、小型消防站
     */
    private Integer stationType;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 所属街镇
     */
    private String streetTown;


}
