package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 火灾统计表
 * </p>
 *
 * @author JCB
 * @since 2022-09-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemFireStatistics implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 火灾序号
     */
    private String fireNumber;

    /**
     * 填表时间
     */
    private LocalDateTime fillTime;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 是否简项报告
     */
    private String briefReport;

    /**
     * 对应的火灾案例路径
     */
    private String fireCaseUrl;

    /**
     * 对应的灭火救援表
     */
    private String fireRescueForm;

    /**
     * 出动情况
     */
    private String mobilizationDesc;

    /**
     * 起火时间
     */
    private String fireTimeText;

    /**
     * 起火时间_日期型
     */
    private LocalDateTime fireTime;

    /**
     * 起火地点
     */
    private String fireAddress;

    /**
     * 单位代码
     */
    private String companyCode;

    /**
     * 户主名
     */
    private String ownerName;

    /**
     * 火灾从失火建筑蔓延到临近建筑
     */
    private String fireBuildSpread;

    /**
     * 发生轰燃
     */
    private String flashOver;

    /**
     * 失火建筑门窗在火灾过程中开启
     */
    private String doorWindowOpen;

    /**
     * 起火经过
     */
    private String fireProcess;

    /**
     * 直接财产损失
     */
    private String directPropertyLoss;

    /**
     * 过火面积
     */
    private String burnedArea;

    /**
     * 受灾户数
     */
    private String affectedHouse;

    /**
     * 受灾人数
     */
    private String victimNumber;

    /**
     * 死亡人数
     */
    private String deathToll;

    /**
     * 受伤人数
     */
    private String injuredNumber;

    /**
     * 是否重大火灾
     */
    private String majorFire;

    /**
     * 是否立案
     */
    private String fileCase;

    /**
     * 追究人数
     */
    private String investigateNumber;

    /**
     * 建议处理人数
     */
    private String suggestHandleNumber;

    /**
     * 审核状态
     */
    private String reviewStatus;

    /**
     * 最后审核者
     */
    private String lastReviewer;

    /**
     * 修改原因
     */
    private String modifyReason;

    /**
     * 正在调查
     */
    private String underInvestiga;

    /**
     * 退回者
     */
    private String returnee;

    /**
     * 火灾等级
     */
    private String fireGrade;

    /**
     * 轻伤人数
     */
    private String minorInjurieNumber;

    /**
     * 重伤人数
     */
    private String seriouslyInjureNumber;

    /**
     * 现场处置费用
     */
    private String siteDisposalExpense;

    /**
     * 人身伤亡
     */
    private String personalInjuryDeath;

    /**
     * 直接经济损失
     */
    private String directEconomicLoss;

    /**
     * 所属消防队
     */
    private String subordinateFireBrigade;

    /**
     * 所属大队
     */
    private String subordinateBrigade;

    /**
     * 所属支队
     */
    private String subordinateDetachment;

    /**
     * 所属总队
     */
    private String subordinateCorps;

    /**
     * 所属区县
     */
    private String subordinateDistrict;

    /**
     * 行政区域
     */
    private String administrativeDivision;

    /**
     * 分类ID1
     */
    private Integer typeId1;

    /**
     * 分类ID2
     */
    private Integer typeId2;

    /**
     * 分类ID3
     */
    private Integer typeId3;

    /**
     * 分类ID4
     */
    private Integer typeId4;

    /**
     * 分类ID5
     */
    private Integer typeId5;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    private String longitude;
    private String latitude;
    private String district;
    private String street;


    /**
     * 起火物（一级）
     */
    @TableField(exist = false)
    private String initialFuelType1;

    /**
     * 火灾原因分类（一级）
     */
    @TableField(exist = false)
    private String fireCauseType1;

    /**
     * 建筑结构名称
     */
    @TableField(exist = false)
    private String buildName;

    /**
     * 主键ID
     */
    @TableField(exist = false)
    private Integer id1;

}
