package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 火灾统计表附表
 * </p>
 *
 * @author JCB
 * @since 2022-09-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemFireStatisticsAttach implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 火灾序号
     */
    private String fireNumber;

    /**
     * 火灾原因分类（一级）
     */
    private String fireCauseType1;

    /**
     * 火灾原因分类（二级）
     */
    private String fireCauseType2;

    /**
     * 火灾原因分类（三级）
     */
    private String fireCauseType3;

    /**
     * 起火物（一级）
     */
    private String initialFuelType1;

    /**
     * 起火物（二级）
     */
    private String initialFuelType2;

    /**
     * 起火场所（一级）
     */
    private String fireSiteType1;

    /**
     * 起火场所（二级）
     */
    private String fireSiteType2;

    /**
     * 保险情况
     */
    private String insuranceDesc;

    /**
     * 与城市远程报警系统联网情况
     */
    private String alarmSystemNetwork;

    /**
     * 应急疏散照明情况
     */
    private String emergencyEvacuaLight;

    /**
     * 应急出口情况
     */
    private String emergencyExit;

    /**
     * 疏散通道情况
     */
    private String evacuationRoute;

    /**
     * 室内消火栓系统启动情况
     */
    private String indoorHydrantStartup;

    /**
     * 室内消火栓系统安装情况
     */
    private String indoorHydrantInstall;

    /**
     * 防排烟系统启动情况
     */
    private String smokeControlStartup;

    /**
     * 防排烟系统安装情况
     */
    private String smokeControlInstall;

    /**
     * 自动灭火系统启动情况
     */
    private String autoFireExtinguishStartup;

    /**
     * 自动灭火系统安装情况
     */
    private String autoFireExtinguishInstall;

    /**
     * 自动报警系统启动情况
     */
    private String autoAlarmStartup;

    /**
     * 自动报警系统安装情况
     */
    private String autoAlarmInstall;

    /**
     * 建筑结构名称
     */
    private String buildName;

    /**
     * 建筑耐火等级名称
     */
    private String fireRatingName;

    /**
     * 建筑类别名称
     */
    private String buildTypeName;

    /**
     * 建筑使用性质名称
     */
    private String useCharacterName;

    /**
     * 是否世界遗产情况
     */
    private String worldHeritage;

    /**
     * 经济类型名称
     */
    private String economicTypeName;

    /**
     * 行业类别名称
     */
    private String industryCategoryName;

    /**
     * 分级管理类型
     */
    private String hierarchicalManageType;

    /**
     * 区域类型
     */
    private String areaType;

    /**
     * 填表人消防队名称
     */
    private String fireBrigadeName;

    /**
     * 出动情况名称
     */
    private String mobilizationName;

    /**
     * BDP_AUDIT
     */
    private String bdpAudit;

    /**
     * unionKey
     */
    private String unionKey;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}
