package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 网格员信息管理表
 * </p>
 *
 * @author JCB
 * @since 2022-11-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemGridMember implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 网格区域
     */
    private String gridArea;

    /**
     * 街镇
     */
    private String streetTown;

    private String gridPersonnel;

    private String gridPhone;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 删除标识（1、删除；0、未删除）
     */
    private String deleteFlag;

    /**
     * 人员数据
     */
    @TableField(exist = false)
    private List<DemGridMemderVice> gridMemderViceList;


}
