package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 高层公共建筑底数
 * </p>
 *
 * @author han
 * @since 2023-03-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemHighRise implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 当前待办人员
     */
    private String toDoPtersonnel;

    /**
     * 建筑名称
     */
    private String buildName;

    /**
     * 建筑物二级名称
     */
    private String buildSecondaryName;

    /**
     * 建筑物地址
     */
    private String address;

    /**
     * 是否多产权建筑;0、否 1、是
     */
    private Integer manyOwnership;

    /**
     * 房产证数量(本)
     */
    private String birthCert;

    /**
     * 主要产权人（单位、自然人）名称
     */
    private String principalPropertyOwner;

    /**
     * 统一社会信用代码（自然人此项不填）
     */
    private String creditCode;

    /**
     * 是否聘请物业服务企业进行管理;0、否 1、是
     */
    private Integer propertyService;

    /**
     * 聘用物业家数
     */
    private Integer propertyNum;

    /**
     * 物业服务企业名称
     */
    private String propertyServiceName;

    /**
     * 物业统一社会信用代码
     */
    private String propertyCreditCode;

    /**
     * 单位座机号码
     */
    private String lpropertyAndlineNum;

    /**
     * 项目负责人姓名
     */
    private String propertyProjectLeader;

    /**
     * 项目负责人手机号码
     */
    private String propertyLeaderPhone;

    /**
     * 是否聘请消防技术服务机构开展建筑消防设施维护
     */
    private Integer fireServiceMaintain;

    /**
     * 聘用家数
     */
    private Integer maintainNum;

    /**
     * 消防技术服务机构名称
     */
    private String maintainName;

    /**
     * 统一社会信用代码
     */
    private String maintainCreditCode;

    /**
     * 项目负责人姓名
     */
    private String maintainProjectLeader;

    /**
     * 项目负责人手机号码
     */
    private String maintainLeaderPhone;

    /**
     * 是否聘请消防技术服务机构开展建筑消防设施检测
     */
    private Integer fireServiceCheck;

    /**
     * 聘用家数
     */
    private Integer checkNum;

    /**
     * 消防技术服务机构名称
     */
    private String checkName;

    /**
     * 统一社会信用代码
     */
    private String checkCreditCode;

    /**
     * 项目负责人姓名
     */
    private String checkProjectLeader;

    /**
     * 项目负责人手机号码
     */
    private String checkLeaderPhone;

    /**
     * 是否聘请消防技术服务机构开展消防安全评估
     */
    private Integer fireServiceEstimate;

    /**
     * 聘用家数
     */
    private Integer estimateNum;

    /**
     * 消防技术服务机构名称
     */
    private String estimateName;

    /**
     * 统一社会信用代码
     */
    private String estimateCreditCode;

    /**
     * 项目负责人姓名
     */
    private String estimateProjectLeader;

    /**
     * 项目负责人手机号码
     */
    private String estimateLeaderPhone;

    /**
     * 是否设有消防控制室
     */
    private Integer controlRoom;

    /**
     * 消防控制室位置
     */
    private String controlRoomAddress;

    /**
     * 消防控制室持证上岗人数
     */
    private String certificateNum;

    /**
     * 消防水泵房位置
     */
    private String pumpRoomAddress;

    /**
     * 水泵结合器位置
     */
    private String combinerAddress;

    /**
     * 建筑高度
     */
    private String buildHigh;

    /**
     * 建成年代
     */
    private String completeYear;

    /**
     * 地下建筑层数
     */
    private String underFloor;

    /**
     * 地上建筑层数
     */
    private String aboveFloor;

    /**
     * 建筑类型
     */
    private String buildType;

    /**
     * 不动产证登记用途
     */
    private String birthCertRegister;

    /**
     * 不动产证中“规划用途”栏或附记栏中记载的用途为
     */
    private String birthCertUse;

    /**
     * 功能用途
     */
    private String functionalPurpose;

    /**
     * 其他（文字描述）
     */
    private String otherDesc;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;


}
