package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 督察单
 * </p>
 *
 * @author ZYJ
 * @since 2022-12-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemInspectList implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 督察单编号
     */
    private String inspectCode;

    /**
     * 设备id
     */
    private String deviceId;

    /**
     * 告警id
     */
    private Integer alarmId;

    /**
     * 单位id
     */
    private String companyId;

    /**
     * 处理人
     */
    private String handler;

    /**
     * 处理时间
     */
    private LocalDateTime handlingTime;

    /**
     * 处理内容
     */
    private String handlingContent;

    /**
     * 处理人电话
     */
    private String handlerPhone;

    /**
     * 处理状态
     */
    private Integer handlingStatus;

    /**
     * 设备状态
     */
    private Integer deviceStatus;

    /**
     * 现场照片1
     */
    private String sitePhoto1;

    /**
     * 现场照片2
     */
    private String sitePhoto2;

    /**
     * 现场照片3
     */
    private String sitePhoto3;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
