package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 行政处罚情况表
 * </p>
 *
 * @author JCB
 * @since 2022-09-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemLawSituation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 被处罚人简介
     */
    private String punishedPerson;

    /**
     * 行政相对人名称
     */
    private String counterpartName;

    /**
     * 行政相对人类别
     */
    private String counterpartType;

    /**
     * 行政相对人代码_1 (统一社会信用代码)
     */
    private String socialCreditCode;

    /**
     * 行政相对人代码_2 (工商注册号)
     */
    private String registrationNumber;

    /**
     * 行政相对人代码_3 (组织机构代码)
     */
    private String organizationCode;

    /**
     * 行政相对人代码_4 (税务登记号)
     */
    private String taxRegistrationNumber;

    /**
     * 行政相对人代码_5 (事业单位证书号)
     */
    private String companyCertificateNumber;

    /**
     * 行政相对人代码_6 (社会组织登记证号)
     */
    private String organizationRegistrationNumber;

    /**
     * 法定代表人
     */
    private String legalRepresentative;

    /**
     * 法定代表人证件类型
     */
    private String representativeDocumentType;

    /**
     * 法定代表人证件号码
     */
    private String representativeDocumentNumber;

    /**
     * 证件类型
     */
    private String documentType;

    /**
     * 证件号码
     */
    private String documentNumber;

    /**
     * 行政处罚决定书文号
     */
    private String punishmentDecisionNumber;

    /**
     * 违法事实内容
     */
    private String illegalFactsContent;

    /**
     * 违法行为类型
     */
    private String illegalActsType;

    /**
     * 违法事实
     */
    private String illegalFacts;

    /**
     * 处罚依据
     */
    private String punishmentBasis;

    /**
     * 处罚类别
     */
    private String punishmentType;

    /**
     * 处罚内容
     */
    private String punishmentContent;

    /**
     * 罚款金额
     */
    private String penaltyAmount;

    /**
     * 没收违法所得、没收非法财物的金额
     */
    private String illegalIncome;

    /**
     * 暂扣或吊销证照名称及编号
     */
    private String revocationLicense;

    /**
     * 处罚决定日期
     */
    private LocalDateTime punishmentDecisionTime;

    /**
     * 处罚有效期
     */
    private LocalDate punishmentValidityDate;

    /**
     * 公示截止期
     */
    private LocalDate publicityDeadline;

    /**
     * 处罚机关
     */
    private String punishmentAuthority;

    /**
     * 处罚机关统一社会信用代码
     */
    private String authorityCreditCode;

    /**
     * 数据来源单位
     */
    private String dataSourceCompany;

    /**
     * 数据来源单位统一社会信用代码
     */
    private String companyCreditCode;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 信息事项
     */
    private String informationMatters;

    /**
     * unionKey
     */
    private String unionKey;

    /**
     * 使能标识 （0：正常 1：删除）
     */
    private Integer enable;
}
