package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 行政执法统计总表
 * </p>
 *
 * @author JCB
 * @since 2022-10-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemLawStatistics implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * ID
     */
    private String lawId;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 是否包含下属;默认1 是
     */
    private Integer includeBranch;

    /**
     * 是否包含派出所;默认0 否
     */
    private Integer includePoliceStation;

    /**
     * 是否派出所汇总;0否 1是
     */
    private Integer policeStationSummary;

    /**
     * 是否合计
     */
    private Integer amountTo;

    /**
     * 是否混合部署;0否 1是
     */
    private Integer mixedDeploy;

    /**
     * 数据日期
     */
    private LocalDateTime dataTime;

    /**
     * 目标数据交换的单位
     */
    private String dataExchangeUnit;

    /**
     * 监督检查出动人数（人、次）
     */
    private String inspectPersonNumber;

    /**
     * 检查单位（家、次）
     */
    private String inspectCompany;

    /**
     * 发现火灾隐患或违法行为（处）
     */
    private String fireHazard;

    /**
     * 发临时查封决定书（份）
     */
    private String temporarySeizure;

    /**
     * 发责令改正通知书
     */
    private String correctionNotice;

    /**
     * 发同意/不同意解除临时查封决定书
     */
    private Integer relieveTemporarySeizure;

    /**
     * 发消防安全检查合格证
     */
    private String inspectCertificate;

    /**
     * 发举办前消防安全检查意见书
     */
    private String inspectOpinions;

    /**
     * 发撤销批准决定书
     */
    private String revokeApproval;

    /**
     * 督促整改火灾隐患或违法行为
     */
    private String rectificateFireHazard;

    /**
     * 监督抽查
     */
    private String spotCheck;

    /**
     * 投入使用营业安全检查（起）
     */
    private String jobInspect;

    /**
     * 举报投诉检查
     */
    private String enforceInspect;

    /**
     * 其它检查
     */
    private String otherInspect;

    /**
     * 复查
     */
    private String review;

    /**
     * 举办前安全检查（个 次）
     */
    private String holdInspect;

    /**
     * 监督抽查01
     */
    private String spotCheck1;

    /**
     * 投入使用营业前安全检查
     */
    private String jobBeforeInspect;

    /**
     * 举办前安全检查
     */
    private String holdBeforeInspect;

    /**
     * 举报投诉检查01
     */
    private String enforceInspect1;

    /**
     * 其他检查
     */
    private String otherInspect2;

    /**
     * 复查01
     */
    private String review1;

    /**
     * 举办消防培训班
     */
    private String fireTrainClass;

    /**
     * 培训教育
     */
    private String trainEducation;

    /**
     * 受理审核项目
     */
    private String acceptReviewItems;

    /**
     * 发审核意见书
     */
    private String reviewOpinions;

    /**
     * 受理验收项目
     */
    private String acceptItems;

    /**
     * 发验收意见书
     */
    private String acceptOpinions;

    /**
     * 消防设计备案抽查
     */
    private String designFiling;

    /**
     * 发消防设计/竣工验收消防违法通知书
     */
    private String designIllegalNotice;

    /**
     * 竣工验收消防备案抽查
     */
    private String completeProtectionRecord;

    /**
     * 发消防设计/竣工验收消防复查意见书
     */
    private String designReviewOpinions;

    /**
     * 审核建筑面积
     */
    private String reviewBuildArea;

    /**
     * 实施产品消防监督的在建工程
     */
    private String progressConstruction;

    /**
     * 不符合市场准入制度的批次
     */
    private String inconformityAccessSystem;

    /**
     * 现场检查判定合格批次
     */
    private String siteInspectQualified;

    /**
     * 现场检查判定不合格批次
     */
    private String siteInspectUnqualified;

    /**
     * 抽封样检测合格批次
     */
    private String samplingInspectQualified;

    /**
     * 抽封样检测不合格批次
     */
    private String samplingInspectUnqualified;

    /**
     * 撤除更换产品批次
     */
    private String removalReplace;

    /**
     * 办理产品行政案件
     */
    private String productCases;

    /**
     * 组织火灾事故调查
     */
    private String fireAccidentCheck;

    /**
     * 受理火灾事故认定复核申请
     */
    private String acceptReviewApplication;

    /**
     * 出具火灾事故认定书
     */
    private String fireVerificate;

    /**
     * 出具火灾事故认定复核结论书
     */
    private String fireReviewConclusion;

    /**
     * 出具火灾事故简易调查认定书
     */
    private String fireSimpleVerificate;

    /**
     * 出具案件移送通知书
     */
    private String caseTransferNotice;

    /**
     * 出具封闭火灾现场公告
     */
    private String fireSiteAnnounce;

    /**
     * 起数
     */
    private String occurrencesNumber;

    /**
     * 警告
     */
    private String warnNumber;

    /**
     * 罚款个人
     */
    private String finePerson;

    /**
     * 罚款单位
     */
    private String fineCompany;

    /**
     * 罚款金额
     */
    private String fineAmount;

    /**
     * 责令“三停”
     */
    private String orderThreeStops;

    /**
     * 拘留
     */
    private String detention;

    /**
     * 发同意、不同意恢复施工、使用、生产、均经营决定书
     */
    private String operationDecision;

    /**
     * 没收财物
     */
    private String confiscateProperty;

    /**
     * 没收财物折合人民币
     */
    private String confiscatePropertyRmb;

    /**
     * 没收违法所得
     */
    private String illegalIncome;

    /**
     * 发处罚决定书（份）
     */
    private String punishmentDecision;

    /**
     * 当场收缴罚款
     */
    private String collecteFines;

    /**
     * 当场处罚起数
     */
    private String penaltyNumber;

    /**
     * 当场处罚警告
     */
    private String penaltyWarn;

    /**
     * 当场处罚罚款个人
     */
    private String penaltyIndividual;

    /**
     * 当场处罚罚款单位
     */
    private String penaltyCompany;

    /**
     * 当场处罚罚款金额
     */
    private String penaltyAmount;

    /**
     * InTime
     */
    private LocalDateTime inTime;

    /**
     * 删除标识
     */
    private String deleteFlag;

    /**
     * 记录状态
     */
    private String recordStatus;

    /**
     * 数据提交时间
     */
    private LocalDateTime dataSubmitTime;

    /**
     * 数据接收时间
     */
    private LocalDateTime dataReceiveTime;

    /**
     * 操作描述
     */
    private String operateDescribe;

    /**
     * Row_Version
     */
    private String rowVersion;

    /**
     * BDP_AUDIT
     */
    private LocalDateTime bdpAudit;

    /**
     * 机构简称
     */
    private String organizeAbbreviat;

    /**
     * unionKey
     */
    private String unionKey;

    /**
     * ChgTime
     */
    private LocalDateTime chgTime;


}
