package com.usky.fire.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 微型消防站
 * </p>
 *
 * @author JCB
 * @since 2022-10-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemMicroStation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id;
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 支队名称
     */
    private String branchName;

    /**
     * 所属辖区中队
     */
    private String squadron;

    /**
     * 消防站名称
     */
    private String stationName;

    /**
     * 单位性质
     */
    private String companyNature;

    /**
     * 地址
     */
    private String address;

    /**
     * 所在位置
     */
    private String location;

    /**
     * 联动固定电话
     */
    private String fixedPhone;

    /**
     * 负责人姓名
     */
    private String chargeName;

    /**
     * 负责人手机号码
     */
    private String chargePhone;

    /**
     * 备注
     */
    private String remark;

    /**
     * 消防站类型（1：微消站;2：专职站，3：重点微消站）
     */
    private String stationType;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 维度
     */
    private BigDecimal dimension;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     * 支队id
     */
    private Integer branchId;

    /**
     * 中队id
     */
    private Integer squadronId;

    /**
     * 编号
     */
    private String number;

    /**
     * 0:当天未拨;1：已拨未接 ,2 已拨接统 3已拨挂断
     */
    private Integer callStatus;

    /**
     * 1浦东;2 闵行
     */
    private Integer belongFlag;

    /**
     * 点名时间段
     */
    private String callPeriod;

    /**
     * 原单位性质
     */
    private String primaryCompanyNature;

    /**
     * 删除标识
     */
    private String deleteFlag;


}
