package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 值班表
 * </p>
 *
 * @author JCB
 * @since 2022-11-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemOnDuty implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * ID;
     */
    private String dutyId;

    /**
     * 值班日期;
     */
    private LocalDateTime dutyTime;

    /**
     * 所属单位ID;
     */
    private String companyId;

    /**
     * 值班人员ID;
     */
    private String personId;

    /**
     * 值班人员姓名;
     */
    private String personName;

    /**
     * 值班类型ID;
     */
    private String dutyTypeId;

    /**
     * 时间戳;
     */
    private String timeStamp;

    /**
     * 机构名称;
     */
    private String organizateName;

    /**
     * 机构简称;
     */
    private String organizateAbbreviate;

    /**
     * 机构地址;
     */
    private String organizateAddress;

    /**
     * 机构联系电话;
     */
    private String linkPhone;

    /**
     * 机构排序;
     */
    private String organizateRank;

    /**
     * 值班岗位名称;
     */
    private String positionName;

    /**
     * 值班岗位排序;
     */
    private String positionRank;

    /**
     * XM姓名;
     */
    private String fullName;

    /**
     * RYID;
     */
    private String ryId;

    /**
     * RYXH;
     */
    private String ryXh;

    /**
     * YHZH;
     */
    private String yhzh;

    /**
     * ZHID;
     */
    private String zhId;

    /**
     * SJSZJG;
     */
    private String sjszjg;

    /**
     * JLZT;
     */
    private String jlzt;

    /**
     * YDDH;
     */
    private String yddh;

    /**
     * JGJC;
     */
    private String jgjc;

    /**
     * JGTREE;
     */
    private String jgtree;

    /**
     * 身份证号;
     */
    private String idNumber;

    /**
     * 值班人员排序;
     */
    private String personRank;

    /**
     * unionKey;
     */
    private String unionKey;


}
