package com.usky.fire.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 警情信息
 * </p>
 *
 * @author JCB
 * @since 2022-10-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemPoliceInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private BigDecimal gisX;

    private BigDecimal gisY;

    private LocalDateTime sjc;

    private String policeId;

    /**
     * 主管支队
     */
    private String branch;

    /**
     * 案件时间段
     */
    private String timeSlot;

    /**
     * 通知到场时间
     */
    private String noticeArrivalTime;

    /**
     * 通知出水时间
     */
    private String noticeEffluentTime;

    /**
     * 通知控制时间
     */
    private String noticeControlTime;

    /**
     * 通知熄灭时间
     */
    private String noticeQuenchTime;

    /**
     * 通知返队时间
     */
    private String noticeReturnTime;

    /**
     * 区域
     */
    private String area;

    /**
     * 案件类型
     */
    private String caseType;

    /**
     * 案发地址
     */
    private String address;

    /**
     * 立案时间
     */
    private LocalDateTime filingTime;

    /**
     * 立案日期
     */
    private LocalDate filingDate;

    /**
     * 处置对象
     */
    private String handleObject;

    /**
     * 案件类型代码
     */
    private String caseTypeCode;

    /**
     * 案件等级
     */
    private String caseLevel;

    /**
     * 主管中队
     */
    private String squadron;

    /**
     * 区县
     */
    private String district;

    /**
     * 案件编号
     */
    private String caseCode;

    /**
     * 案件状态
     */
    private String caseStatus;

    /**
     * 案件性质
     */
    private String caseNature;

    /**
     * 通知时间
     */
    private LocalDateTime noticeTime;

    /**
     * 到场时间
     */
    private LocalDateTime arrivalTime;

    /**
     * 出水时间
     */
    private LocalDateTime effluentTime;

    /**
     * 控制时间
     */
    private LocalDateTime controlTime;

    /**
     * 熄灭时间
     */
    private LocalDateTime quenchTime;

    /**
     * 返队时间
     */
    private LocalDateTime returnTime;

    /**
     * 补充信息
     */
    private String supplement;

    /**
     * 出动车辆
     */
    private BigDecimal dispatchVehicle;

    /**
     * 案件区域
     */
    private String caseArea;

    /**
     * 填表时间
     */
    private String bdpAudit;

    /**
     * 主管中队id
     */
    private String squadronId;

    /**
     * 街镇
     */
    private String streetTown;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 编辑时间
     */
    private LocalDateTime updateTime;

    /**
     * 0有效/1无效
     */
    private Boolean yxx;

    /**
     * 0未确认/1已同步/2人员确认
     */
    private Integer qrqk;

    /**
     * 0;区域内 1 非
     */
    private Integer fairIs;

    /**
     * 处警情况主键ID
     */
    @TableField(exist = false)
    private Integer id1;


}
