package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 处警记录
 * </p>
 *
 * @author JCB
 * @since 2022-10-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemPoliceRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 处警记录ID
     */
    private String recordId;

    /**
     * 案件信息ID
     */
    private String caseInfoId;

    /**
     * 处警编号
     */
    private String handleCode;

    /**
     * 原始案件编号
     */
    private String caseCode;

    /**
     * 处警开始时间
     */
    private String handleStartTime;

    /**
     * 处警结束时间
     */
    private String handleEndTime;

    /**
     * 时间戳
     */
    private String timeStamp;

    /**
     * 主管中队
     */
    private String squadron;

    /**
     * 记录状态
     */
    private String recordStatus;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    /**
     * 删除标识
     */
    private String deleteFlag;


    /**
     * 处警情况主键ID
     */
    @TableField(exist = false)
    private Integer id1;

    /**
     * 主管支队
     */
    @TableField(exist = false)
    private String branch;

    /**
     * 案件时间段
     */
    @TableField(exist = false)
    private String timeSlot;

    /**
     * 区域
     */
    @TableField(exist = false)
    private String area;

    /**
     * 案件类型
     */
    @TableField(exist = false)
    private String caseType;

    /**
     * 立案日期
     */
    @TableField(exist = false)
    private LocalDate filingDate;

    /**
     * 立案时间
     */
    @TableField(exist = false)
    private LocalDateTime filingTime;

    /**
     * 处置对象
     */
    @TableField(exist = false)
    private String handleObject;

    /**
     * 案件状态
     */
    @TableField(exist = false)
    private String caseStatus;

    /**
     * 案件性质
     */
    @TableField(exist = false)
    private String caseNature;

    /**
     * 出动车辆
     */
    @TableField(exist = false)
    private BigDecimal dispatchVehicle;

}
