package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 整改审核数据表
 * </p>
 *
 * @author ZYJ
 * @since 2023-02-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemReformReview implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 消防整改主表ID
     */
    private Integer reformId;

    /**
     * 整改时间
     */
    private LocalDateTime reformTime;

    /**
     * 整改提交人
     */
    private String reformPerson;

    /**
     * 整改备注
     */
    private String reformRemark;

    /**
     * 整改相关图片或文件路径1
     */
    private String reformPath1;

    /**
     * 整改相关图片或文件路径2
     */
    private String reformPath2;

    /**
     * 整改相关图片或文件路径3
     */
    private String reformPath3;

    /**
     * 整改相关图片或文件路径4
     */
    private String reformPath4;

    /**
     * 整改相关图片或文件路径5
     */
    private String reformPath5;

    /**
     * 审核时间
     */
    private LocalDateTime reviewTime;

    /**
     * 审核人
     */
    private String reviewPerson;

    /**
     * 审核备注
     */
    private String reviewRemark;


}
