package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 报告数据表
 * </p>
 *
 * @author han
 * @since 2023-02-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemReportData implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 消防安全风险提示
     */
    private String fireRisk;

    /**
     * 基本情况
     */
    private String baseSituation;

    /**
     * 存在问题
     */
    private String existProblem;

    /**
     * 整体指数分析
     */
    private String indexAnalysis;

    /**
     * 综合评分
     */
    private String overallScore;

    /**
     * 设备设施状况
     */
    private String equipmentState;

    /**
     * 设备统计
     */
    private String equipmentStatistic;

    /**
     * 监督执法情况
     */
    private String lawEnforce;

    /**
     * 火灾情况
     */
    private String fireSituation;

    /**
     * 统计时段
     */
    private String statisticPeriod;

    /**
     * 统计月份
     */
    private String statisticMonth;

    /**
     * 生成时间
     */
    private LocalDateTime createTime;


}
