package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 报告评分
 * </p>
 *
 * @author han
 * @since 2023-03-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemReportGrade implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 总评分
     */
    private Integer totalGrade;

    /**
     * 建筑整体指数评分
     */
    private Integer buildIntegrity;

    /**
     * 设施状况指数评分
     */
    private Integer facilityStatus;

    /**
     * 自主管理指数评分
     */
    private Integer selfManage;

    /**
     * 监督执法指数评分
     */
    private Integer lawEnforce;

    /**
     * 火灾风险指数评分
     */
    private Integer fireRisk;

    /**
     * 统计时段
     */
    private String statisticPeriod;

    /**
     * 统计月份
     */
    private String statisticMonth;

    /**
     * 生成时间
     */
    private LocalDateTime createTime;


}
