package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 报告信息表
 * </p>
 *
 * @author han
 * @since 2023-03-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemReportInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 报告标题
     */
    private String reportName;

    /**
     * 报告路径
     */
    private String reportPath;

    /**
     * 报告生成时间
     */
    private LocalDateTime createTime;

    /**
     * 开始时间
     */
    private LocalDateTime startTime;

    /**
     * 结束时间
     */
    private LocalDateTime endTime;

    /**
     * 统计月份
     */
    private String statisticsTime;

    /**
     * 报告状态（0 未推送、1 已推送）
     */
    private Integer reportStatus;

    /**
     * 推送时间
     */
    private LocalDateTime sendTime;


}
