package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 仓库信息表
 * </p>
 *
 * @author ZYJ
 * @since 2023-01-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemStore implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位类别
     */
    private String companyType;

    /**
     * 单位使用性质
     */
    private String companyNature;

    /**
     * 单位（法人）名称
     */
    private String delegateName;

    /**
     * 统一社会信用代码
     */
    private String socialCode;

    /**
     * 单位（场所）实际名称
     */
    private String companyName;

    /**
     * 所辖派出所
     */
    private String policeStation;

    /**
     * 单位地址
     */
    private String address;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 消防安全责任人
     */
    private String fireDutyName;

    /**
     * 消防安全管理人
     */
    private String fireManageName;

    /**
     * 联系电话（手机）
     */
    private String linkPhone;

    /**
     * 是否自主消防安全管理
     */
    private String fireSafetyManage;

    /**
     * 单位（场所）面积（㎡）
     */
    private String companyArea;

    /**
     * 行业类别
     */
    private String industryType;

    /**
     * 是否为洁净厂房
     */
    private String cleanRoom;

    /**
     * 生产经营组织形式
     */
    private String organizationForm;

    /**
     * 网格号
     */
    private String gridNo;

    /**
     * 年份
     */
    private String particularYear;

    /**
     * 提交时间
     */
    private LocalDateTime submitTime;


}
