package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 街镇微型消防站
 * </p>
 *
 * @author han
 * @since 2023-04-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemStreetMicroStation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 所属街镇
     */
    private String streetTown;

    /**
     * 编号
     */
    private Integer stationCode;

    /**
     * 消防站地址
     */
    private String stationAddress;

    /**
     * 距消防站直线距离
     */
    private String linearDistance;

    /**
     * 距消防站行驶距离
     */
    private String driveDistance;

    /**
     * 交通拥堵行驶时间
     */
    private String jamDrive;

    /**
     * 交通畅通行驶时间
     */
    private String unimpededDrive;

    /**
     * 点位情况
     */
    private String pointSituation;

    /**
     * 建筑情况
     */
    private String buildSituation;

    /**
     * 车辆停放
     */
    private String vehiclePark;

    /**
     * 是否有产证
     */
    private String birthCert;

    /**
     * 产证情况
     */
    private String birthCertSituation;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;


}
