package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 车辆信息
 * </p>
 *
 * @author JCB
 * @since 2022-10-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemVehicle implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 车辆信息
     */
    private String vehicleId;

    /**
     * 单件装备编码
     */
    private String singleEquipCode;

    /**
     * 装备名称
     */
    private String equipName;

    /**
     * 装备编码
     */
    private String equipCode;

    /**
     * 上级装备编码
     */
    private String superiorEquipCode;

    /**
     * 装备类型代码
     */
    private String equipTypeCode;

    /**
     * 单件装备状况代码
     */
    private String singleEquipStatus;

    /**
     * 所属消防机构
     */
    private String fireOrga;

    /**
     * GPS编号
     */
    private String gpsCode;

    /**
     * 车辆等级代码
     */
    private String vehicleClassCode;

    /**
     * 车牌号码
     */
    private String licensePlate;

    /**
     * 规格号码
     */
    private String standardCode;

    /**
     * 资产编号
     */
    private String assetCode;

    /**
     * 参考价
     */
    private BigDecimal referencePrice;

    /**
     * 商标
     */
    private String trademark;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 国别代码
     */
    private String countryCode;

    /**
     * 生产厂家代码
     */
    private String productCode;

    /**
     * 生产厂家名称
     */
    private String productName;

    /**
     * 装备日期
     */
    private LocalDateTime equipTime;

    /**
     * 报废日期
     */
    private LocalDateTime scrapTime;

    /**
     * 有效期至
     */
    private LocalDateTime validityTime;

    /**
     * 车架号
     */
    private String frameCode;

    /**
     * 发动机编号
     */
    private String engineCode;

    /**
     * 批次号
     */
    private String batchCode;

    /**
     * 计量单位代码
     */
    private String uomCode;

    /**
     * 车辆状态码_灭火
     */
    private String fireFightStatus;

    /**
     * 记录状态
     */
    private BigDecimal recordStatus;

    /**
     * 传输状态
     */
    private String tranStatus;

    /**
     * 时间戳
     */
    private LocalDateTime timeStamp;

    /**
     * 备注
     */
    private String remark;

    /**
     * 电台呼号
     */
    private String radioCallSign;

    /**
     * 处警单编号
     */
    private String policeListCode;

    /**
     * 是否装配
     */
    private String whetherAssemble;

    /**
     * 是否跨支队
     */
    private String whetherCrossDeta;

    /**
     * 是否跨总队
     */
    private String whetherCrossTeam;

    /**
     * 车辆编号
     */
    private String vehicleCode;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    private LocalDateTime ccrq;

    /**
     * 车辆简称
     */
    private String vehicleAbbreviat;

    /**
     * 电台频道
     */
    private String radioChannel;

    private String gisX;

    private String gisY;

    /**
     * 指挥员姓名
     */
    private String commanderName;

    /**
     * 通信员
     */
    private String reporter;

    /**
     * 驾驶员
     */
    private String driver;

    /**
     * 战斗员人数
     */
    private String soldierNumber;

    private String zdbz;

    private String sjjsy;

    private String tczhc;

    /**
     * 类型编号
     */
    private String typeCode;

    /**
     * 启用标志
     */
    private String enableFlag;

    /**
     * 载水(吨)
     */
    private String carryWater;

    /**
     * 载泡(吨)
     */
    private String carryVesicle;

    /**
     * 泵流量
     */
    private String pumpFlow;

    /**
     * 泡流量
     */
    private String vesicleFlow;

    /**
     * 云梯高度
     */
    private String scalingHegiht;

    private BigDecimal ledsx;

    private String xzjgid;

    private String zldm;

    /**
     * 指挥员id
     */
    private String commanderId;

    /**
     * 通讯员id
     */
    private String reporterId;

    /**
     * 驾驶员id
     */
    private String driverId;

    /**
     * 战士人员
     */
    private String soldier;

    /**
     * 战士人员id
     */
    private String soldierId;

    private BigDecimal ledcmsx;

    private String stbll;

    private String blbz;

    private String pdabh;

    private String sfdyjg;

    private String cldtid;

    private LocalDateTime bdpAudtt;

    private LocalDateTime sjc;

    /**
     * 车辆状态
     */
    private String vehicleStatus;

    /**
     * 装备类型名称
     */
    private String equipTypeName;

    /**
     * 机构名称
     */
    private String orgaName;

    /**
     * 机构简称
     */
    private String orgaDesc;

    private String jgtree;

    /**
     * 机构缩写
     */
    private String orgaAbbrevia;

    /**
     * 机构显示顺序
     */
    private Integer orgaSort;

    /**
     * 车辆最大人数限制
     */
    private BigDecimal standardNum;

    private String carUrl;

    private String sjjgId;

    private String zhiDui;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 删除标识
     */
    private String deleteFlag;


}
