package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 车辆作战信息
 * </p>
 *
 * @author JCB
 * @since 2022-10-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemVehicleFight implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 车辆作战信息ID
     */
    private String vehicleFightId;

    /**
     * 消防机构ID
     */
    private String fireOrgaId;

    /**
     * 处警记录ID
     */
    private String policeRecordId;

    /**
     * 车辆ID
     */
    private String vehicleId;

    /**
     * 装备类型代码
     */
    private String equipTypeCode;

    private String zzgnmc;

    /**
     * 作战功能代码
     */
    private String fightFunctionCode;

    /**
     * 通知时间
     */
    private LocalDateTime noticeTime;

    /**
     * 出动时间
     */
    private LocalDateTime dispatchTime;

    /**
     * 到场时间
     */
    private LocalDateTime arrivalTime;

    /**
     * 出水时间
     */
    private LocalDateTime effluentTime;

    /**
     * 停水时间
     */
    private LocalDateTime cutOffTime;

    /**
     * 返队时间
     */
    private LocalDateTime returnTime;

    /**
     * 实际出动时间
     */
    private LocalDateTime actualDispatchTime;

    /**
     * 驾驶员
     */
    private String driver;

    /**
     * 驾驶员id
     */
    private String driverId;

    /**
     * 指挥员
     */
    private String commander;

    /**
     * 指挥员id
     */
    private String commanderId;

    /**
     * 通讯员
     */
    private String reporter;

    /**
     * 通讯员id
     */
    private String reporterId;

    /**
     * 战士人员
     */
    private String soldier;

    /**
     * 战士人员id
     */
    private String soldierId;

    /**
     * 车辆简称
     */
    private String vehicleAbbreviat;

    /**
     * 时间戳
     */
    private LocalDateTime timeStamp;

    /**
     * 记录状态
     */
    private String recordStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 主管中队
     */
    private String chargeSquadron;

    /**
     * 机构简称
     */
    private String orgaAbbreviat;

    /**
     * 案件id
     */
    private String caseId;

    private String dthh;


}
