package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 水源信息表
 * </p>
 *
 * @author JCB
 * @since 2022-10-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemWaterSource implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * ID;
     */
    private String waterId;

    /**
     * 水源名称;
     */
    private String waterName;

    /**
     * 水源地址;
     */
    private String waterAddress;

    /**
     * 水源类型代码;
     */
    private String waterTypeCode;

    /**
     * 水源类型;
     */
    private String waterType;

    /**
     * 机构ID;
     */
    private String organizateId;

    /**
     * 管辖机构名称;
     */
    private String organizateName;

    /**
     * 取水形式;
     */
    private String waterForm;

    /**
     * 可用状态;
     */
    private Integer availableStatus;

    /**
     * 可用状态名称;
     */
    private String availableStatusName;

    /**
     * 性质;
     */
    private String nature;

    /**
     * 水源性质;
     */
    private String waterNature;

    /**
     * GIS_X;
     */
    private String gisX;

    /**
     * GIS_Y;
     */
    private String gisY;

    /**
     * 建造时间;
     */
    private LocalDateTime buildTime;

    /**
     * 记录状态;
     */
    private Integer recordStatus;

    /**
     * SJC;
     */
    private String sjc;

    /**
     * BZ;
     */
    private String remark;

    /**
     * GIS_X百度坐标;
     */
    private String gisXBaidu;

    /**
     * GIS_Y百度坐标;
     */
    private String gisYBaidu;

    /**
     * 管网单位;
     */
    private String pipeCompany;

    /**
     * 设置形式;
     */
    private String setForm;

    /**
     * 消火栓设置形式;
     */
    private String hydrantSetForm;

    /**
     * 联系方式;
     */
    private String contactMode;

    /**
     * 管网形式;
     */
    private String pipeForm;

    /**
     * 管网供水形式;
     */
    private String pipeWater;

    /**
     * 管网直径;
     */
    private String pipeDiameter;

    /**
     * 管网压力;
     */
    private String pipePressure;

    /**
     * 接口形式;
     */
    private Integer interfaceForm;

    /**
     * 消火栓接口形式;
     */
    private String hydrantInterface;

    /**
     * 供水单位;
     */
    private String waterCompany;

    /**
     * 消防名称;
     */
    private String fireName;

    /**
     * 消防站简称;
     */
    private String fireAbbreviat;

    /**
     * 支队ID;
     */
    private String branchId;

    /**
     * 支队名称;
     */
    private String branchName;

    /**
     * 支队简称;
     */
    private String branchAbbreviat;

    /**
     * BDP_AUDIT;
     */
    private LocalDateTime bdpAudit;

    /**
     * unionKey;
     */
    private String unionKey;

    /**
     * 删除标识
     */
    private String deleteFlag;


}
