package com.usky.fire.domain;

import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备心跳
 * </p>
 *
 * @author JCB
 * @since 2022-11-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DeviceInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 告警时间
     */
    private LocalDateTime sendTime;

    /**
     * 地址
     */
    private String address;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 维度
     */
    private String latitude;

    /**
     * 备注
     */
    private String remark;

    /**
     * 告警内容
     */
    private String sendContent;

    private Integer delFlag;

    /**
     * 剩余电量
     */
    private Double electric;


}
