package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author JCB
 * @since 2022-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionArea implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 巡检区域ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 区域名称
     */
    private String areaName;

    /**
     * 区域父ID
     */
    private Integer areaFid;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;

    /** 子菜单 */
    @TableField(exist = false)
    private List<PatrolInspectionArea> children = new ArrayList<PatrolInspectionArea>();

    /**
     * 单位名称
     */
    @TableField(exist = false)
    private String companyName;



}
