package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author JCB
 * @since 2022-07-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionPlanSon implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 巡检计划子信息表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 计划主表id
     */
    private Integer planId;

    /**
     * 巡检日期
     */
    private LocalDate inspectionDate;

    /**
     * 开始日期
     */
    private LocalDate startDate;

    /**
     * 结束日期
     */
    private LocalDate endDate;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 巡检人员ID
     */
    private Integer personnelId;

    /**
     * 巡检区域ID
     */
    private Integer areaId;

    /**
     * 计划类型（1 普通计划，2 按次计划）
     */
    private Integer planType;

    /**
     * 巡检周期（1 日，2 周，3 月，4 年）
     */
    private Integer planCycle;

    /**
     * 计划次数
     */
    private Integer planFrequency;

    /**
     * 每圈用时（分钟）
     */
    private Integer lapTime;

    /**
     * 两圈间隔时间（分钟）
     */
    private Integer intervalTime;

    /**
     * 计划描述
     */
    private String planDescribe;

    /**
     * 完成情况（百分比）
     */
    private Integer completion;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 备用字段
     */
    private String alternateField;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 单位ID
     */
    private Integer companyId;


}
