package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author JCB
 * @since 2022-07-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionSite implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 巡检地点信息表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 地点名称
     */
    private String siteName;

    /**
     * 地点号码
     */
    private String siteNubmber;

    /**
     * 地点描述
     */
    private String siteDescribe;

    /**
     * 地点类型
     */
    private Integer siteType;

    /**
     * 采集人员
     */
    private String collector;

    /**
     * 采集时间
     */
    private LocalDateTime collectTime;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 区域id
     */
    private Integer areaId;

    /**
     * 图片地址
     */
    private String pictureUrl;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;

    /**
     * 误差范围
     */
    private Double distanceRange;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 单位ID
     */
    private Integer companyId;

    /**
     * 地点内容总数
     */
    @TableField(exist = false)
    private Integer contentCount;

    /**
     * 图片
     */
    @TableField(exist = false)
    private List<PatrolInspectionRecordPicture> recordPictureList;

    /**
     * 备注
     */
    @TableField(exist = false)
    private String remarks;

    /**
     * 子计划ID
     */
    @TableField(exist = false)
    private Integer planSonId;

    /**
     * 巡检状态（1 未巡检，2 已巡检）
     */
    @TableField(exist = false)
    private Integer inspectionStatus;

}
