package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 查岗信息
 * </p>
 *
 * @author JCB
 * @since 2022-08-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class PostInspect implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 查岗唯一编号;支队推送获取，与支队查岗记录关联
     */
    private String inspectCode;

    /**
     * 查岗时间
     */
    private LocalDateTime inspectTime;

    /**
     * 应答时间
     */
    private LocalDateTime replyTime;

    /**
     * 应答用时
     */
    private Integer spentTime;

    /**
     * 查岗状态
     */
    private Integer inspectStatus;

    /**
     * 查岗对象单位ID
     */
    private String companyId;

    /**
     * 查岗对象单位编号
     */
    private String companyCode;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 倒计时（秒）
     */
    @TableField(exist = false)
    private Long countdown;
}
