package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 预案管理
 * </p>
 *
 * @author JCB
 * @since 2022-09-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ReservePlan implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 预案名称
     */
    private String reserveName;

    /**
     * 预案类型
     */
    private Integer reserveType;

    /**
     * 预案文件路径
     */
    private String reserveUrl;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 使能标识(1：开通 、2：待定 、3：注销)
     */
    private Integer enable;

}
