package com.usky.fire.mapper;

import com.usky.common.mybatis.core.CrudMapper;
import com.usky.fire.domain.AlarmElectricalFire;
import com.usky.fire.domain.DemFireReform;
import com.usky.fire.service.vo.AlarmFireStatisticalVo;
import com.usky.fire.service.vo.DataCountVo;
import com.usky.fire.service.vo.DemFireReformVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 电气火灾隐患告警 Mapper 接口
 * </p>
 *
 * @author JCB
 * @since 2022-08-18
 */
@Repository
public interface AlarmElectricalFireMapper extends CrudMapper<AlarmElectricalFire> {
    List<AlarmFireStatisticalVo> selectElectricalFireStatistical(@Param("table") String table,
                                                                 @Param("companyIdList") List<String> companyIdList,
                                                                 @Param("startDate") String startDate,
                                                                 @Param("endDate") String endDate);

    List<DataCountVo> alarmCount(@Param("table") String table,
                                 @Param("companyId") String companyId);

    List<DataCountVo> alarmFireCount(@Param("companyId") String companyId);
}


