package com.usky.fire.mapper;

import com.usky.fire.domain.DemFireReform;
import com.usky.fire.service.vo.DemFireReformVO;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.fire.service.vo.DemReformReviewVO;
import com.usky.fire.service.vo.MobileScheduleVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 消防整改数据表 Mapper 接口
 * </p>
 *
 * @author ZYJ
 * @since 2023-02-24
 */
@Repository
public interface DemFireReformMapper extends CrudMapper<DemFireReform> {

    List<DemFireReformVO> fireReformList(@Param("companyName") String companyName,
                                         @Param("reformId") String reformId,
                                         @Param("companyType") Integer companyType,
                                         @Param("current") Integer current,
                                         @Param("size") Integer size);

    List<MobileScheduleVO> mobileScheduleList(@Param("companyId") String companyId,
                                              @Param("reformId") String reformId,
                                              @Param("reformStatus") Integer reformStatus,
                                              @Param("current") Integer current,
                                              @Param("size") Integer size);

    List<DemReformReviewVO> reformReview(@Param("reformId") String reformId);
}
