package com.usky.fire.service;

import java.util.Map;

/**
 * <p>
 * 独立式无线探测器告警 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-08-08
 */
public interface AlarmDetectorService {

    /**
     * 物联网数据查询-左上实时数据查询
     *
     * @param field      字段名称
     * @param deviceCode 单位编号
     * @return
     */
    Map<String, Object> leftData(String field, String deviceCode);

    /**
     * influxDB 最大、最小、最新数据查询
     *
     * @param queryType  查询类型（1、最大 2、最小 3、最新）
     * @param field      字段名称
     * @param deviceCode 单位编号
     * @return
     */
    Map<String, Object> statusData(Integer queryType, String field, String deviceCode);

    /**
     * influxDB 一周数据查询
     *
     * @param field      字段名称
     * @param deviceCode 单位编号
     * @return
     */
    Map<String, Object> statisticalChartData(String field, String deviceCode);
}
