package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.BaseDevice;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-08-15
 */
public interface BaseDeviceService extends CrudService<BaseDevice> {

    /**
     * 根据设备编号查询设备信息
     *
     * @param deviceCode 设备编号
     * @return
     */
    List<BaseDevice> deviceData(String deviceCode);

    /**
     * 根据单位ID查询设备数量
     *
     * @param companyId  单位ID
     * @param deviceType 设备类型
     * @return
     */
    Integer deviceCount(String companyId, Integer deviceType);
}
