package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.BaseUserCompany;

import java.util.List;

/**
 * <p>
 * 用户单位关联 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-08-18
 */
public interface BaseUserCompanyService extends CrudService<BaseUserCompany> {

    /**
     * 获取登录用户关联的物联网单位
     *
     * @return
     */
    List<String> companyIdList();

    /**
     * 根据单位编号查询userId
     *
     * @param companyId 单位编号
     * @return
     */
    List<BaseUserCompany> userCompanyList(String companyId);

    /**
     * 获取登录用户关联的第一个物联网单位ID
     *
     * @return
     */
    String companyId();
}
