package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemBuildScoreRecord;

import java.util.List;

/**
 * <p>
 * 建筑评分历史记录表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-09-08
 */
public interface DemBuildScoreRecordService extends CrudService<DemBuildScoreRecord> {

    /**
     * 查询建筑评分记录数
     *
     * @param scoreDate   时间（年-月）
     * @param buildScore1 评分
     * @param buildScore2 评分
     * @return
     */
    int demBuildScoreRecordCount(String scoreDate, Integer buildScore1, Integer buildScore2, String companyId);

    /**
     * 查询建筑评分记录数
     *
     * @param scoreDate     时间（年-月）
     * @param buildScore1   评分
     * @param buildScore2   评分
     * @param companyIdList 单位ID
     * @return
     */
    int demBuildScoreRecordCountOne(String scoreDate, Integer buildScore1, Integer buildScore2, List<String> companyIdList);

    /**
     * 查询建筑评分记录列表
     *
     * @param companyId 单位ID
     * @param scoreDate 时间（年-月）
     * @return
     */
    List<DemBuildScoreRecord> demBuildScoreRecordList(String companyId, String scoreDate);

    /**
     * 查询建筑评分记录列表
     *
     * @param scoreDate 时间（年-月）
     * @param companyId 单位ID
     * @return
     */
    List<DemBuildScoreRecord> demBuildScoreRecordListOne(String scoreDate, String companyId);

    /**
     * 查询建筑评分记录新增
     *
     * @param demBuildScoreRecord
     */
    void demBuildScoreRecordAdd(DemBuildScoreRecord demBuildScoreRecord);
}
