package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemEnforceInspectRecord;
import com.usky.fire.service.vo.DemEnforceInspectRecordVO;

import java.util.List;

/**
 * <p>
 * 消防监督检查记录 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-09-22
 */
public interface DemEnforceInspectRecordService extends CrudService<DemEnforceInspectRecord> {

    /**
     * 执法检查数据-列表查询
     *
     * @param projectCode 项目编号
     * @param companyName 单位编号
     * @param pageNum     当前页
     * @param pageSize    每页条数
     * @return
     */
    CommonPage<Object> enforceInspectRecordList(String projectCode, String companyName, Integer pageNum, Integer pageSize);

    /**
     * 执法检查数据-列表查询-导出
     *
     * @param projectCode 项目编号
     * @param companyName 单位编号
     * @return
     */
    List<DemEnforceInspectRecordVO> enforceInspectRecordListExport(String projectCode, String companyName);

    /**
     * 执法检查数据-修改
     *
     * @param demEnforceInspectRecord
     */
    void updateEnforceInspectRecord(DemEnforceInspectRecord demEnforceInspectRecord);

    /**
     * 执法检查数据-删除
     *
     * @param id 主键ID
     */
    void delEnforceInspectRecord(Integer id);
}
