package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemFileLabel;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-09-14
 */
public interface DemFileLabelService extends CrudService<DemFileLabel> {

    /**
     * 标签-列表
     *
     * @param fid       父ID
     * @param labelName 标签名称
     * @return
     */
    List<DemFileLabel> demFileLabelList(Integer fid, String labelName, List<Integer> idList);

    /**
     * 标签-数量
     *
     * @param fid       父ID
     * @param labelName 标签名称
     * @param id        主键ID
     * @return
     */
    int demFileLabelCount(Integer fid, String labelName, Integer id);

    /**
     * 标签-新增
     *
     * @param demFileLabel
     */
    void addDemFileLabel(DemFileLabel demFileLabel);

    /**
     * 标签-修改
     *
     * @param demFileLabel
     */
    void updateDemFileLabel(DemFileLabel demFileLabel);

    /**
     * 标签-删除
     *
     * @param id 主键ID
     */
    void delDemFileLabel(Integer id);
}
