package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemLargeSecurityManage;

/**
 * <p>
 * 大型安保管理 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-10-26
 */
public interface DemLargeSecurityManageService extends CrudService<DemLargeSecurityManage> {

    /**
     * 大型安保管理-列表
     *
     * @param securityTipsName 安保提示名称
     * @param id               主键ID
     * @param pageNum          当前页面
     * @param pageSize         每页条数
     * @return
     */
    CommonPage<DemLargeSecurityManage> largeSecurityManageList(String securityTipsName, Integer id, Integer pageNum, Integer pageSize);

    /**
     * 大型安保管理-新增
     *
     * @param demLargeSecurityManage
     */
    void addLargeSecurityManage(DemLargeSecurityManage demLargeSecurityManage);

    /**
     * 大型安保管理-修改
     *
     * @param demLargeSecurityManage
     */
    void updateLargeSecurityManage(DemLargeSecurityManage demLargeSecurityManage);

    /**
     * 大型安保管理-删除
     *
     * @param id 主键ID
     */
    void delLargeSecurityManage(Integer id);
}
