package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemLawSituation;
import com.usky.fire.service.vo.DemLawSituationExportVO;

import java.util.List;

/**
 * <p>
 * 行政处罚情况表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-09-27
 */
public interface DemLawSituationService extends CrudService<DemLawSituation> {

    /**
     * 处罚整改数据-列表查询
     *
     * @param punishedPerson      被处罚人
     * @param legalRepresentative 行政相对人类别
     * @param id                  主键ID
     * @param pageNum             当前页
     * @param pageSize            每页条数
     * @return
     */
    CommonPage<Object> lawSituationList(String punishedPerson, String legalRepresentative, Integer id, Integer pageNum, Integer pageSize);

    /**
     * 处罚整改数据-列表查询-导出
     *
     * @param punishedPerson      被处罚人
     * @param legalRepresentative 行政相对人类别
     * @param id                  主键ID
     */
    List<DemLawSituationExportVO> lawSituationListExport(String punishedPerson, String legalRepresentative, Integer id);

    /**
     * 罚整改数据-修改
     *
     * @param demLawSituation
     */
    void updateLawSituation(DemLawSituation demLawSituation);

    /**
     * 罚整改数据-删除
     *
     * @param id 主键ID
     */
    void delLawSituation(Integer id);
}
