package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DemPoliceInfo;
import com.usky.fire.domain.DemPoliceRecord;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.service.vo.AlertStatisticsVO;
import com.usky.fire.service.vo.DemPoliceRecordExportVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 警情信息 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-10-24
 */
public interface DemPoliceInfoService extends CrudService<DemPoliceInfo> {

    /**
     * 接处警数据-列表
     *
     * @param caseCode 案件编号
     * @param branch   主管支队
     * @param id       主键ID
     * @param pageNum  当前页面
     * @param pageSize 每页条数
     * @return
     */
    CommonPage<Object> policeRecordList(String caseCode, String branch, Integer id, Integer pageNum, Integer pageSize);

    /**
     * 接处警数据-列表-导出
     *
     * @param caseCode 案件编号
     * @param branch   主管支队
     */
    List<DemPoliceRecordExportVO> policeRecordListExport(String caseCode, String branch);

    /**
     * 接处警数据-修改
     *
     * @param demPoliceInfo
     */
    void updatePoliceRecord(DemPoliceInfo demPoliceInfo);


    Map<String, List<AlertStatisticsVO>> getAlertStatisticsByMonth(String startTime, String endTime, String streetTown);

    List<AlertStatisticsVO> getAlertStatistics(String startTime, String endTime, String streetTown);

    CommonPage<DemPoliceInfo> page(Integer current, Integer size, String startTime, String endTime, String streetTown, String caseCode);

    Map<String, List<AlertStatisticsVO>> getAlertStatisticsByHouse(String startTime, String endTime, String streetTown);

    List<Map<String, Object>> warningInstanceScatterer(String streetTown, Integer id);

}
