package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemVehicle;
import com.usky.fire.service.vo.DemVehicleExportVO;

import java.util.List;

/**
 * <p>
 * 车辆信息 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-10-19
 */
public interface DemVehicleService extends CrudService<DemVehicle> {

    /**
     * 消防车辆管理-列表查询
     *
     * @param vehicleCode      车辆编号
     * @param vehicleAbbreviat 车辆简称
     * @param id               主键ID
     * @param pageNum          当前页
     * @param pageSize         每页条数
     * @return
     */
    CommonPage<Object> vehicleList(String vehicleCode, String vehicleAbbreviat, Integer id, Integer pageNum, Integer pageSize);

    /**
     * 消防车辆管理-列表查询-导出
     *
     * @param vehicleCode      车辆编号
     * @param vehicleAbbreviat 车辆简称
     */
    List<DemVehicleExportVO> vehicleListExport(String vehicleCode, String vehicleAbbreviat);

    /**
     * 消防车辆管理-修改
     *
     * @param demVehicle
     */
    void updateVehicle(DemVehicle demVehicle);

    /**
     * 消防车辆管理-删除
     *
     * @param id 主键ID
     */
    void delVehicle(Integer id);

    List<DemVehicle> vehicleList(List<String> vehicleIdList);

    List<DemVehicle> list(String zdCode, String licensePlate);
}
