package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemWaterSourceMaintain;

import java.util.List;

/**
 * <p>
 * 天然水源信息表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-10-25
 */
public interface DemWaterSourceMaintainService extends CrudService<DemWaterSourceMaintain> {

    /**
     * 消防水源管理-天然水源维护-列表
     *
     * @param squadron 所属中队
     * @param id       主键ID
     * @param pageNum  当前页面
     * @param pageSize 每页条数
     * @return
     */
    CommonPage<DemWaterSourceMaintain> waterSourceMaintainList(String squadron, Integer id, Integer pageNum, Integer pageSize);

    /**
     * 消防水源管理-天然水源维护-新增
     *
     * @param demWaterSourceMaintain
     */
    void addWaterSourceMaintain(DemWaterSourceMaintain demWaterSourceMaintain);

    /**
     * 消防水源管理-天然水源维护-修改
     *
     * @param demWaterSourceMaintain
     */
    void updateWaterSourceMaintain(DemWaterSourceMaintain demWaterSourceMaintain);

    /**
     * 消防水源管理-天然水源维护-删除
     *
     * @param id 主键ID
     */
    void delWaterSourceMaintain(Integer id);

    List<Object> waterSourceMaintainScatterer(String streetTown);
}
