package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.PatrolInspectionPlanSiteSon;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-07-18
 */
public interface PatrolInspectionPlanSiteSonService extends CrudService<PatrolInspectionPlanSiteSon> {

    /**
     * 根据地点ID查询巡检数
     *
     * @param planSonIdList    子计划ID
     * @param inspectionStatus 巡检状态（1 未巡检，2 已巡检）
     * @return
     */
    Integer siteCount(List<Integer> planSonIdList, Integer inspectionStatus);

    /**
     * 根据地点ID查询子计划ID
     *
     * @param siteIdList 地点ID
     * @return
     */
    List<Integer> planSonSiteIdList(List<Integer> siteIdList);
}
