package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.PostInspect;

import java.util.List;

/**
 * <p>
 * 查岗信息 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-08-24
 */
public interface PostInspectService extends CrudService<PostInspect> {

    /**
     * 值班查岗-企业版平台查岗功能推送接收接口
     *
     * @param postInspect
     */
    void postInspectRecept(PostInspect postInspect);

    /**
     * 值班查岗-企业版系统查岗功能相关数据查询
     *
     * @return
     */
    List<PostInspect> postInspectPlatform();

    /**
     * 值班查岗-企业版系统查岗记录查询接口
     *
     * @return
     */
    List<PostInspect> postInspectAnswerRecept();

    /**
     * 值班查岗-企业版系统网页应答数据接收，状态修改接口
     *
     * @param postInspect
     */
    void postInspectAnswerUpdate(PostInspect postInspect);

    /**
     * 根据单位ID查询值班查岗数量
     *
     * @param companyId     单位ID
     * @param inspectStatus 查岗状态(1、已响应 0、未响应)
     * @return
     */
    Integer postInspectCount(String companyId, Integer inspectStatus);
}
