package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.fire.domain.BaseDevice;
import com.usky.fire.mapper.BaseDeviceMapper;
import com.usky.fire.service.BaseDeviceService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author JCB
 * @since 2022-08-15
 */
@Service
public class BaseDeviceServiceImpl extends AbstractCrudService<BaseDeviceMapper, BaseDevice> implements BaseDeviceService {

    @Override
    public List<BaseDevice> deviceData(String deviceCode) {
        LambdaQueryWrapper<BaseDevice> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.select(BaseDevice::getDeviceCode, BaseDevice::getDeviceCode, BaseDevice::getInstallAddress,
                BaseDevice::getDeviceType, BaseDevice::getDeviceName, BaseDevice::getCompanyId)
                .eq(BaseDevice::getEnable, 1)
                .eq(BaseDevice::getDeviceCode, deviceCode);
        List<BaseDevice> list = this.list(queryWrapper);
        return list;
    }

    @Override
    public Integer deviceCount(String companyId, Integer deviceType) {
        LambdaQueryWrapper<BaseDevice> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(BaseDevice::getEnable, 1)
                .eq(BaseDevice::getCompanyId, companyId)
                .eq(deviceType != 0, BaseDevice::getDeviceType, deviceType);
        int count = this.count(queryWrapper);
        return count;
    }

}
