package com.usky.fire.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.fire.domain.BaseGgpFacility;
import com.usky.fire.mapper.BaseGgpFacilityMapper;
import com.usky.fire.service.BaseGgpFacilityService;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.fire.service.vo.BaseGgpFacilityListVO;
import com.usky.fire.service.vo.BaseGgpFacilityVO;
import com.usky.fire.service.vo.CompanyDataVo;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 地理信息 服务实现类
 * </p>
 *
 * @author han
 * @since 2023-04-10
 */
@Service
public class BaseGgpFacilityServiceImpl extends AbstractCrudService<BaseGgpFacilityMapper, BaseGgpFacility> implements BaseGgpFacilityService {
    @Override
    public List<BaseGgpFacility> baseGgpFacilityList(BaseGgpFacilityVO baseGgpFacilityVO) {
        List<BaseGgpFacilityListVO> list1 = new ArrayList<>();
        LambdaQueryWrapper<BaseGgpFacility> query = Wrappers.lambdaQuery();
        query.eq(StringUtils.isNotBlank(baseGgpFacilityVO.getStreetTown()),BaseGgpFacility::getStreetTown, baseGgpFacilityVO.getStreetTown());
        query.in(CollectionUtils.isNotEmpty(baseGgpFacilityVO.getFacilityType()),BaseGgpFacility::getFacilityType,
                baseGgpFacilityVO.getFacilityType());

        List<BaseGgpFacility> list = this.list(query);
//        if (CollectionUtils.isNotEmpty(list)) {
//            for (int j = 0; j < list.size(); j++) {
//                BaseGgpFacilityListVO baseGgpFacilityListVO = new BaseGgpFacilityListVO();
//                Object data = null;
//                data = list.get(j).getExtendData();
//                JSONObject jsonObject = JSONObject.parseObject(data.toString());
//                baseGgpFacilityListVO.setBaseGgpFacility(list.get(j));
//                baseGgpFacilityListVO.setExtendData(jsonObject);
//                list1.add(baseGgpFacilityListVO);
//            }
//        }
        return list;
    }
}
