package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 独立式无线探测器告警
 * </p>
 *
 * @author JCB
 * @since 2022-08-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AlarmDetectorVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 数据来源
     */
    private String dataSources;

    /**
     * 设备编号
     */
    @Excel(name = "设备编号")
    private String deviceCode;

    /**
     * 数据上报时间
     */
    @Excel(name = "告警时间")
    private String dataTime;

    /**
     * 设备状态
     */
    private Integer deviceStatus;

    /**
     * 上报地址
     */
    private String address;

    /**
     * 系统类型（1.火灾自动报警系统 2.自动喷水灭火系统 3.消防给水及消火栓系统 4.防排烟系统 5.电气火灾系统 6.消防视频监控系统）
     */
    private Integer systemType;

    /**
     * 端口
     */
    private String portNum;

    /**
     * 告警类型（如WP1、WP2）
     */
    @Excel(name = "告警类型", readConverterExp = "WP1=低压,WP2=高压,LL1=低水位,LL2=高水位")
    private String alarmType;

    /**
     * 属性值1
     */
    private Integer attributeValue1;

    /**
     * 属性值2
     */
    private String attributeValue2;

    /**
     * 属性值3
     */
    @Excel(name = "告警值")
    private String attributeValue3;

    /**
     * 属性值4
     */
    private String attributeValue4;

    /**
     * 处理人
     */
    @Excel(name = "处理人")
    private String handler;

    /**
     * 处理时间
     */
    @Excel(name = "处理时间")
    private String handlingTime;

    /**
     * 处理内容
     */
    private String handlingContent;

    /**
     * 处理人电话
     */
    private String handlerPhone;

    /**
     * 处理状态（0、未处理 1、已处理）
     */
    @Excel(name = "处理状态", readConverterExp = "0=未处理,1=已处理")
    private Integer handlingStatus;

    /**
     * 是否误报（0、非误报 1、误报）
     */
    private Integer falseAlarm;

    /**
     * 现场照片
     */
    private String sitePhoto;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String companyName;

    /**
     * 告警内容
     */
    @Excel(name = "告警内容")
    private String alarmConten;

}
