package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 火灾报警系统报警信息表
 * </p>
 *
 * @author JCB
 * @since 2022-07-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AlarmFireVo implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 序号
     */
    @Excel(name = "序号")
    private Integer xh;


    /**
     * 设备编号
     */
    @Excel(name = "设备编号")
    private String deviceCode;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String companyName;


    /**
     * 告警时间
     */
    @Excel(name = "报告时间")
    private String alarmTime;

    /**
     * 报告数据
     */
    @Excel(name = "报告数据")
    private String alarmTypeName;

    /**
     * 报告内容
     */
    @Excel(name = "报告内容")
    private String conten;

    /**
     * 处理状态（0、未处理 1、已处理）
     */
    @Excel(name = "处理状态(0、未处理 1、已处理)")
    private Integer handlingStatus;

    /**
     * 处理人
     */
    @Excel(name = "处理人")
    private String handler;

    /**
     * 处理时间
     */
    @Excel(name = "处理时间")
    private String handlingTime;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 告警类型(2 火警、4 故障、16 监管等)
     */
    private String alarmType;

    /**
     * 上报地址
     */
    private String address;

    /**
     * 告警状态
     */
    private String alarmStatus;

    /**
     * 系统类型(1.火灾自动报警系统 2.自动喷水灭火系统 3.消防给水及消火栓系统 4.防排烟系统 5.电气火灾系统 6.消防视频监控系统)
     */
    private Integer systemType;

    /**
     * 端口号
     */
    private String portNum;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 原始告警类型
     */
    private String attributeValue1;

    /**
     * 告警名称
     */
    private String attributeValue2;

    /**
     * 原始点位地址
     */
    private String attributeValue3;

    /**
     * 点位描述
     */
    private String attributeValue4;

    /**
     * 点位类型(0 通用设备、1 火灾报警控制器、10 可燃气体探测器、11 点型可燃气体探测器等)
     */
    private Integer pointType;

    /**
     * 主机号
     */
    private Integer hostNum;

    /**
     * 回路号
     */
    private Integer loopNum;

    /**
     * 点位号
     */
    private Integer ptNum;

    /**
     * 处理内容
     */
    private String handlingContent;

    /**
     * 处理人电话
     */
    private String handlerPhone;

    /**
     * 是否误报（0、非误报 1、误报）
     */
    private Integer falseAlarm;

    /**
     * 现场照片
     */
    private String sitePhoto;

}
