package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 电气火灾隐患告警
 * </p>
 *
 * @author JCB
 * @since 2022-08-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class AlarmHiddenDangerVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    @Excel(name = "设备编号")
    private String deviceCode;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String companyName;

    /**
     * 告警时间
     */
    @Excel(name = "报告事件",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime alarmTime;

    /**
     * 告警类型名称
     */
    @TableField(exist = false)
    @Excel(name = "报告数据")
    private String alarmTypeName;

    /**
     * 报告内容
     */
    @TableField(exist = false)
    @Excel(name = "报告内容")
    private String reportContent;

    /**
     * 处理状态（0、未处理 1、已处理）
     */
    @Excel(name = "处理状态", readConverterExp = "0=未处理,1=已处理")
    private Integer handlingStatus;

    /**
     * 处理人
     */
    @Excel(name = "处理人")
    private String handler;

    /**
     * 处理时间
     */
    @Excel(name = "处理时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime handlingTime;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 告警类型
     */
    private String alarmType;

    /**
     * 上报地址
     */
    private String address;

    /**
     * 告警状态
     */
    private String alarmStatus;

    /**
     * 系统类型
     */
    private Integer systemType;

    /**
     * 端口号
     */
    private String portNum;

    /**
     * 单位ID
     */
    private Integer companyId;

    /**
     * 属性值1
     */
    private String attributeValue1;

    /**
     * 属性值2
     */
    private String attributeValue2;

    /**
     * 属性值3
     */
    private String attributeValue3;

    /**
     * 属性值4
     */
    private String attributeValue4;

    /**
     * 处理内容
     */
    private String handlingContent;

    /**
     * 处理人电话
     */
    private String handlerPhone;

    /**
     * 是否误报（0、非误报 1、误报）
     */
    private Integer falseAlarm;

    /**
     * 现场照片
     */
    private String sitePhoto;
}
