package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BaseBuildExportVO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 建筑编号
     */
    @Excel(name = "建筑编号")
    private String buildNum;

    /**
     * 建筑名称
     */
    @Excel(name = "建筑名称")
    private String buildName;

    /**
     * 建筑地址
     */
    @Excel(name = "建筑地址")
    private String address;

    /**
     * 建筑面积（㎡）
     */
    @Excel(name = "建筑面积（㎡）")
    private Double buildArea;

    /**
     * 耐火等级
     */
    @Excel(name = "耐火等级")
    private Integer fireRating;

    /**
     * 使用性质
     */
    @Excel(name = "使用性质")
    private Integer useCharacter;

    /**
     * 建筑结构
     */
    @Excel(name = "建筑结构")
    private Integer buildStructure;

    /**
     * 建筑高度（m）
     */
    @Excel(name = "建筑高度（m）")
    private Double buildHigh;

    /**
     * 竣工日期
     */
    @Excel(name = "竣工日期")
    private String completeYear;

    /**
     * 安全责任人
     */
    @Excel(name = "安全责任人")
    private String safePerson;

    /**
     * 安全管理人
     */
    @Excel(name = "安全管理人")
    private String managePerson;

    /**
     * 火灾危险性
     */
    @Excel(name = "火灾危险性")
    private Integer fireRisk;

    /**
     * 建筑平面图
     */
    @Excel(name = "建筑平面图")
    private String buildPlan;
}
