package com.usky.fire.service.vo;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 值班查岗信息表
 * </p>
 *
 * @author zyj
 * @since 2023-01-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)

public class BaseCompanyPersonVO {


    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String companyName;

    /**
     * 单位编号
     */
    @Excel(name = "单位编号")
    private String companyCode;

    /**
     * 消防安全责任人姓名
     */
    @Excel(name = "消防安全责任人")
    private String fireDutyName;

    /**
     * 消防安全责任人电话
     */
    @Excel(name = "消防安全责任人电话")
    private String fireDutyPhone;

    /**
     * 消防安全管理人姓名
     */
    @Excel(name = "消防安全管理人")
    private String fireManageName;

    /**
     * 消防安全管理人电话
     */
    @Excel(name = "消防安全管理人电话")
    private String fireManagePhone;

    /**
     * 消防控制室电话
     */
    @Excel(name = "消防控制室电话")
    private String fireControlPhone;

    /**
     * 查岗次数
     */
    @Excel(name = "查岗次数")
    private Integer inspectCount;

    /**
     * 应答次数
     */
    @Excel(name = "应答次数")
    private Integer answerCount;

    /**
     * 最后查岗时间
     */
    @Excel(name = "最后查岗时间")
    private String inspectTime;
}
