package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-01-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CompanyExportVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String companyName;

    /**
     * 组织机构编码
     */
    @Excel(name = "组织机构代码")
    private String organization;

    /**
     * 法人代表姓名
     */
    @Excel(name = "法人代表")
    private String delegateName;

    /**
     * 单位详细地址
     */
    @Excel(name = "单位地址")
    private String address;

    /**
     * 单位类型
     */
    @Excel(name = "单位类型")
    private String companyType;

    /**
     * 火灾危险性
     */
    @Excel(name = "火灾危险性")
    private String fireHazard;

    /**
     * 单位联系电话
     */
    @Excel(name = "单位电话")
    private String linkPhone;

    /**
     * 单位成立时间
     */
    @Excel(name = "成立时间")
    private LocalDateTime foundTime;

    /**
     * 单位性质
     */
    @Excel(name = "单位性质")
    private Integer companyNature;

    /**
     * 行政区域
     */
    @Excel(name = "行政区域")
    private String administrativeDivision;

    /**
     * 固定资产（单位：万元）
     */
    @Excel(name = "固定资产（万元）")
    private String fixedAssets;

    /**
     * 占地面积
     */
    @Excel(name = "占地面积")
    private String coverArea;

    /**
     * 建筑面积
     */
    @Excel(name = "建筑面积")
    private String buildArea;

    /**
     * 职工人数
     */
    @Excel(name = "职工人数")
    private String employeeNum;

    /**
     * 单位主属性
     */
    @Excel(name = "单位属性")
    private String mainAttribute;

    /**
     * 管辖机构（含大队）
     */
    @Excel(name = "管辖机构")
    private String governBody;

    /**
     * 消防安全责任人姓名
     */
    @Excel(name = "消防安全责任人")
    private String fireDutyName;

    /**
     * 消防安全管理人姓名
     */
    @Excel(name = "消防安全管理人")
    private String fireManageName;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间")
    private String createTime;

}
