package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)

public class DemFireStatisticsExportVO {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 火灾序号
     */
    @Excel(name = "火灾序号")
    private String fireNumber;

    /**
     * 起火地址
     */
    @Excel(name = "起火地址")
    private String fireAddress;

    /**
     * 起火时间
     */
    @Excel(name = "起火时间")
    private String fireTime;

    /**
     * 起火原因
     */
    @Excel(name = "起火原因")
    private String fireCause;

    /**
     * 起火场所
     */
    @Excel(name = "起火场所")
    private String fireSite;

    /**
     * 财产损失
     */
    @Excel(name = "财产损失")
    private String directPropertyLoss;

    /**
     * 过火面积
     */
    @Excel(name = "过火面积")
    private String burnedArea;

    /**
     * 受灾数
     */
    @Excel(name = "受灾数")
    private String victimNumber;

    /**
     * 受伤数
     */
    @Excel(name = "受伤数")
    private String injuredNumber;

    /**
     * 死亡数
     */
    @Excel(name = "死亡数")
    private String deathToll;

    /**
     * 是否立案
     */
    @Excel(name = "是否立案")
    private String fileCase;

    /**
     * 火灾等级
     */
    @Excel(name = "火灾等级")
    private String fireGrade;

    /**
     * 所属支队
     */
    @Excel(name = "所属支队")
    private String subordinateDetachment;

    /**
     * 行政区域
     */
    @Excel(name = "行政区域")
    private String administrativeDivision;
}
