package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 火灾统计表
 * </p>
 *
 * @author JCB
 * @since 2022-09-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemFireStatisticsVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 火灾序号
     */
    private String fireNumber;

    /**
     * 起火时间_日期型
     */
    private LocalDateTime fireTime;

    /**
     * 起火地点
     */
    private String fireAddress;

    /**
     * 直接财产损失
     */
    private String directPropertyLoss;

    /**
     * 过火面积
     */
    private String burnedArea;

    /**
     * 受灾人数
     */
    private String victimNumber;

    /**
     * 死亡人数
     */
    private String deathToll;

    /**
     * 受伤人数
     */
    private String injuredNumber;

    /**
     * 是否立案
     */
    private String fileCase;

    /**
     * 火灾等级
     */
    private String fireGrade;

    /**
     * 所属支队
     */
    private String subordinateDetachment;

    /**
     * 行政区域
     */
    private String administrativeDivision;

    /**
     * 分类ID1
     */
    private Integer typeId1;

    /**
     * 分类ID2
     */
    private Integer typeId2;

    /**
     * 分类ID3
     */
    private Integer typeId3;

    /**
     * 分类ID4
     */
    private Integer typeId4;

    /**
     * 分类ID5
     */
    private Integer typeId5;

    /**
     * 火灾原因分类（一级）
     */
    private String fireCauseType1;

    /**
     * 起火场所（一级）
     */
    private String fireSiteType1;

    /**
     * 关联表ID
     */
    private Integer zid;

}
