package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 网格员信息表
 * </p>
 *
 * @author zyj
 * @since 2023-01-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)

public class DemGridMemberVO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 网格区域
     */
    @Excel(name = "网格区域")
    private String gridArea;

    /**
     * 街镇
     */
    @Excel(name = "街镇")
    private String streetTown;

    /**
     * 网格人员姓名
     */
    @Excel(name = "网格人员姓名")
    private String gridPersonnel;

    /**
     * 联系方式
     */
    @Excel(name = "联系方式")
    private String gridPhone;

    /**
     * 增员人员姓名
     */
    @Excel(name = "增员人员姓名")
    private String addPersonnel;

    /**
     * 联系方式
     */
    @Excel(name = "联系方式")
    private String addPhone;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间")
    private String createTime;
}
