package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)

public class DemLawSituationExportVO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 被处罚人
     */
    @Excel(name = "被处罚人")
    private String punishedPerson;

    /**
     * 性质相对类别
     */
    @Excel(name = "性质相对类别")
    private String counterpartType;

    /**
     * 法人代表
     */
    @Excel(name = "法人代表")
    private String legalRepresentative;

    /**
     * 行政处罚决定书文号
     */
    @Excel(name = "行政处罚决定书文号")
    private String punishmentDecisionNumber;

    /**
     * 处罚依据
     */
    @Excel(name = "处罚依据")
    private String punishmentBasis;

    /**
     * 处罚类别
     */
    @Excel(name = "处罚类别")
    private String punishmentType;

    /**
     * 处罚内容
     */
    @Excel(name = "处罚内容")
    private String punishmentContent;

    /**
     * 罚款金额
     */
    @Excel(name = "罚款金额")
    private String penaltyAmount;

    /**
     * 处罚决定日期
     */
    @Excel(name = "处罚决定日期")
    private String punishmentDecisionTime;

    /**
     * 处罚有效期
     */
    @Excel(name = "处罚有效期")
    private String punishmentValidityDate;

    /**
     * 公示截止期
     */
    @Excel(name = "公示截止期")
    private String publicityDeadline;

    /**
     * 处罚机关
     */
    @Excel(name = "处罚机关")
    private String punishmentAuthority;

    /**
     * 证件类型
     */
    @Excel(name = "证件类型")
    private String documentType;

    /**
     * 证件号码
     */
    @Excel(name = "证件号码")
    private String documentNumber;
}
