package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemMicroStationExportVO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 支队名称
     */
    @Excel(name = "支队名称")
    private String branchName;

    /**
     * 所属辖区中队
     */
    @Excel(name = "所属辖区中队")
    private String squadron;

    /**
     * 消防站名称
     */
    @Excel(name = "消防站名称")
    private String stationName;

    /**
     * 单位性质
     */
    @Excel(name = "单位性质")
    private String companyNature;

    /**
     * 地址
     */
    @Excel(name = "地址")
    private String address;

    /**
     * 联动固定电话
     */
    @Excel(name = "联动固定电话")
    private String fixedPhone;

    /**
     * 负责人姓名
     */
    @Excel(name = "负责人姓名")
    private String chargeName;

    /**
     * 负责人电话
     */
    @Excel(name = "负责人电话")
    private String chargePhone;

    /**
     * 消防站类型（1：微消站;2：专职站，3：重点微消站）
     */
    @Excel(name = "消防站类型")
    private String stationType;

    /**
     * 经度
     */
    @Excel(name = "经度")
    private BigDecimal longitude;

    /**
     * 维度
     */
    @Excel(name = "维度")
    private BigDecimal dimension;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间")
    private String createTime;

    /**
     * 更新时间
     */
    @Excel(name = "更新时间")
    private String updateTime;

    /**
     * 所在位置
     */
    @Excel(name = "所在位置")
    private String location;
}
