package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemPoliceRecordExportVO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 案件编号
     */
    @Excel(name = "案件编号")
    private String caseCode;

    /**
     * 处警开始时间
     */
    @Excel(name = "处警开始时间")
    private String handleStartTime;

    /**
     * 处警结束时间
     */
    @Excel(name = "处警结束时间")
    private String handleEndTime;

    /**
     * 主管支队
     */
    @Excel(name = "主管支队")
    private String branch;

    /**
     * 案件时间段
     */
    @Excel(name = "案件时间段")
    private String timeSlot;

    /**
     * 区域
     */
    @Excel(name = "区域")
    private String area;

    /**
     * 案件类型
     */
    @Excel(name = "案件类型")
    private String caseType;

    /**
     * 立案日期
     */
    @Excel(name = "立案日期")
    private LocalDate filingDate;

    /**
     * 立案时间
     */
    @Excel(name = "立案时间")
    private LocalDateTime filingTime;

    /**
     * 处置对象
     */
    @Excel(name = "处置对象")
    private String handleObject;

    /**
     * 案件状态
     */
    @Excel(name = "案件状态")
    private String caseStatus;

    /**
     * 案件性质
     */
    @Excel(name = "案件性质")
    private String caseNature;

    /**
     * 出动车辆
     */
    @Excel(name = "出动车辆")
    private BigDecimal dispatchVehicle;
}
