package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.usky.fire.domain.BaseBuild;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author han
 * @since 2023-03-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemReportDataVo implements Serializable {

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 统计开始时间
     */
    private String lastMonthFirstTime;

    /**
     * 统计结束时间
     */
    private String lastMonthEndTime;

    /**
     * 火灾报警系统在线率
     */
    private double fireOnlineRate;

    /**
     * 火灾报警系统故障率
     */
    private double fireFaultRate;

    /**
     * 火灾报警系统超时未处理数量
     */
    private Integer fireUnhandled;

    /**
     * 消防水系统在线率
     */
    private double waterOnlineRate;

    /**
     * 消防水系统故障率
     */
    private double waterFaultRate;

    /**
     * 消防水系统超时未处理数量
     */
    private Integer waterUnhandled;

    /**
     * 电气火灾系统在线率
     */
    private double efOnlineRate;

    /**
     * 电气火灾系统故障率
     */
    private double efFaultRate;

    /**
     * 电气火灾系统超时未处理数量
     */
    private Integer efUnhandled;

    /**
     * 防排烟系统在线率
     */
    private double smokeOnlineRate;

    /**
     * 防排烟系统故障率
     */
    private double smokeFaultRate;

    /**
     * 防排烟系统超时未处理数量
     */
    private Integer smokeUnhandled;

    /**
     * 组织制度落实状态
     */
    private Integer systemStatus;

    /**
     * 灭火和应急疏散预案
     */
    private Integer planStatus;

    /**
     * 员工消防安全培训
     */
    private Integer trainStatus;

    /**
     * 消防安全管理人
     */
    private Integer managerStatus;

    /**
     * 消防档案
     */
    private Integer archivesStatus;

    /**
     * 消防重点部位
     */
    private Integer partsStatus;

    /**
     * 消控室持证数量
     */
    private Integer licenseNum;

    /**
     * 消防联动控制设备运行情况
     */
    private Integer fireLinkageStatus;

    /**
     * 防火检查、巡查
     */
    private Integer fireInspectStatus;

    /**
     * 消防设施、器材、消防安全标志定期组织维修保养
     */
    private Integer maintainStatus;

    /**
     * 应急演练情况
     */
    private Integer emergencyDrillStatus;

    /**
     * 宣传、培训记录情况
     */
    private Integer publicityRecordStatus;

    /**
     * 微站制度和人员落实
     */
    private Integer microStationStatus;

    /**
     * 和对讲抽查情况
     */
    private Integer intercomStatus;

    /**
     * 日常训练情况
     */
    private Integer dayTrainStatus;

    /**
     * 双随机检查情况近2年内检查隐患平均数
     */
    private Integer doubleRandomNum;

    /**
     * 近3年内处罚情况
     */
    private Integer punishNum;

    /**
     * 近2年内举报投诉情况
     */
    private Integer reportComplaintNum;

    /**
     * 重大隐患挂牌情况
     */
    private Integer hangShingleStatus;

    /**
     * 当年度火灾情况-一般火灾
     */
    private Integer generalFireNum;

    /**
     * 当年度火灾情况-较大及以上火灾
     */
    private Integer majorFireNum;

    /**
     * 当年度火灾情况-影响很大且具有典型意义火灾
     */
    private Integer fireDisasterNum;

    /**
     * 建筑清单
     */
    private List<BaseBuild> baseBuildList;

}
