package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemVehicleExportVO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 车辆简称
     */
    @Excel(name = "车辆简称")
    private String vehicleAbbreviat;

    /**
     * 电台频道
     */
    @Excel(name = "电台频道")
    private String radioChannel;

    /**
     * 电台呼号
     */
    @Excel(name = "电台呼号")
    private String radioCallSign;

    /**
     * 所属消防机构
     */
    @Excel(name = "所属消防机构")
    private String fireOrga;

    /**
     * 车辆等级代码
     */
    @Excel(name = "车辆等级代码")
    private String vehicleClassCode;

    /**
     * 车牌号
     */
    @Excel(name = "车牌号")
    private String licensePlate;

    /**
     * 装备日期
     */
    @Excel(name = "装备日期")
    private LocalDateTime equipTime;

    /**
     * 车辆状态码
     */
    @Excel(name = "车辆状态码")
    private String fireFightStatus;

    /**
     * 记录状态
     */
    @Excel(name = "记录状态")
    private BigDecimal recordStatus;

    /**
     * 指挥员姓名
     */
    @Excel(name = "指挥员姓名")
    private String commanderName;

    /**
     * 驾驶员
     */
    @Excel(name = "驾驶员")
    private String driver;

    /**
     * 战士人员
     */
    @Excel(name = "战士人员")
    private String soldier;

    /**
     * 类型编号
     */
    @Excel(name = "类型编号")
    private String typeCode;

    /**
     * 车辆状态
     */
    @Excel(name = "车辆状态")
    private String vehicleStatus;

    /**
     * 资产编号
     */
    @Excel(name = "资产编号")
    private String assetCode;

    /**
     * 车辆编号
     */
    @Excel(name = "车辆编号")
    private String vehicleCode;

    /**
     * 处警单编号
     */
    @Excel(name = "处警单编号")
    private String policeListCode;

    /**
     * 通信员
     */
    @Excel(name = "通信员")
    private String reporter;
}
