package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class FirePlaceExportVO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 火灾序号
     */
    @Excel(name = "火灾序号")
    private String fireNumber;

    /**
     * 起火物（一级）
     */
    @Excel(name = "起火物")
    private String initialFuelType1;

    /**
     * 过火面积
     */
    @Excel(name = "过火面积")
    private String burnedArea;

    /**
     * 受灾户数
     */
    @Excel(name = "受灾户数")
    private String affectedHouse;

    /**
     * 受灾人数
     */
    @Excel(name = "受灾人数")
    private String victimNumber;

    /**
     * 火灾原因
     */
    @Excel(name = "火灾原因")
    private String fireCause;

    /**
     * 财产损失
     */
    @Excel(name = "财产损失")
    private String directPropertyLoss;

    /**
     * 起火时间
     */
    @Excel(name = "起火时间")
    private String fireTime;

    /**
     * 火灾等级
     */
    @Excel(name = "火灾等级")
    private String fireGrade;

    /**
     * 建筑结构
     */
    @Excel(name = "建筑结构")
    private String buildName;
}
