package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.usky.fire.domain.PatrolInspectionContentOption;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author JCB
 * @since 2022-07-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionContentVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 巡检内容信息表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 序号
     */
    private Integer xh;

    /**
     * 内容标题
     */
    private String contentTitle;

    /**
     * 内容描述
     */
    private String contentDescribe;

    /**
     * 提交方式
     */
    private Integer submissionMethod;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;

    /**
     * 单位ID
     */
    private Integer companyId;

    /**
     * 选项内容
     */
    private List<PatrolInspectionContentOption> contentOptionList;

    /**
     * 选项内容
     */
    private List<ContentOptionVo> contentOptionVoList;

    /**
     * 选中项
     */
    private List<Integer> contentOptionValue;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 内容
     */
    private String content;


}
