package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 地理设施设备关联表
 * </p>
 *
 * @author han
 * @since 2023-06-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseFacilityDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设施id
     */
    private Integer facilityId;

    /**
     * 设备id
     */
    private String deviceId;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;


}
