package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 事件数据
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DmpDataEvent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID;设备注册时系统自动生成一个唯一编号
     */
    private String deviceId;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 事件类型
     */
    private Integer eventType;

    /**
     * 事件内容
     */
    private String eventContent;

    /**
     * 上报时间
     */
    private LocalDateTime reportTime;


}
