package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 数据概览
 * </p>
 *
 * @author ya
 * @since 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DmpDataOverview implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备量分析
     */
    private String deviceNumber;

    /**
     * 设备趋势分析
     */
    private String deviceTrend;

    /**
     * 设备日活跃分析
     */
    private String deviceDailyActive;

    /**
     * 中间区域数据统计
     */
    private String middleStatistic;

    /**
     * 设备数据上报量分析
     */
    private String dataReport;

    /**
     * 产品设备量分析
     */
    private String productDevice;

    private Integer cycleType;

    /**
     * 设备月活跃分析
     */
    private String deviceMonthlyActive;

    /**
     * 产品ID;当为全产品时id为0，其他情况对应产品表ID
     */
    private Integer productId;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 租户号
     */
    private Integer tenantId;


}
