package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备信息类型
 * </p>
 *
 * @author ya
 * @since 2023-06-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DmpDeviceType implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 类型编码
     */
    private String typeCode;

    /**
     * 类型简称
     */
    private String typeAbbrevia;

    /**
     * 类型名称
     */
    private String typeName;

    /**
     * 类型所属领域(1、消防 2、园区)
     */
    private Integer typeDomain;

    /**
     * 类型图片路径
     */
    private String typeImg;

    /**
     * 数据字段
     */
    private String dataField;

    /**
     * 描述
     */
    private String typeDesc;

    /**
     * 租户号
     */
    private Integer tenantId;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    private LocalDateTime updatedTime;


}
