package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.sql.Date;

/**
 * <p>
 * 软件分包信息表
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DmpSoftwareSubpackage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 主升级信息id
     */
    private Integer upgradeId;

    /**
     * 分包序号
     */
    private Integer subpackageNumber;

    /**
     * 应用程序数据包
     */
    private byte[] applyPackage;

    /**
     * 分包大小
     */
    private String subpackageLength;

    /**
     * 从第一个数据包到当前的总校验值
     */
    private String checkCode;

    /**
     * 创建时间
     */
    private Date createdTime;


}
