package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 软件升级信息表
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DmpSoftwareUpgrade implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 产品ID
     */
    private Integer productId;

    /**
     * 版本名称
     */
    private String versionName;

    private String majorVersion;

    /**
     * 版本号
     */
    private String minorVersion;

    /**
     * 升级包大小（byte）
     */
    private Integer packageLength;

    /**
     * softwareId
     */
    private String softwareId;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 版本描述
     */
    private String versionDescribe;

    /**
     * 执行时间
     */
    private Date implementTime;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新人
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    private Date updatedTime;

    /**
     * 租户号
     */
    private Integer tenantId;


}
