package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.domain.DmpDeviceInfo;
import com.usky.iot.service.vo.BaseFacilityDeviceVO;
import com.usky.iot.service.vo.DmpDeviceInfoRequest;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;


/**
 * <p>
 * 设备信息表
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
public interface DmpDeviceInfoService extends CrudService<DmpDeviceInfo> {

    boolean add(DmpDeviceInfo dmpDeviceInfo);

    void update(DmpDeviceInfo dmpDeviceInfo);

    boolean checkNameUnique(DmpDeviceInfo dmpDeviceInfo);

    CommonPage<DmpDeviceInfo> page(DmpDeviceInfoRequest dmpDeviceInfoRequest);

    boolean remove(Integer id);

    /**
     * 设备状态统计
     * @return
     */
    List<Map<String,Object>> deviceCollect(List<Integer> productIds);

    /**
     * 设备总数
     * @param productId
     * @return
     */
    int deviceCountByProductId(Integer productId);

    void addByFile(Integer productId, MultipartFile multipartFiles);

    /**
     * 导出
     * @param dmpDeviceInfoRequest
     */
    void export(DmpDeviceInfoRequest dmpDeviceInfoRequest, HttpServletResponse response);
}
