package com.usky.iot.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 地理设施表
 * </p>
 *
 * @author han
 * @since 2023-06-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BaseGgpFacilityExportVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 序号
     */
    @Excel(name = "序号")
    private Integer xh;

    /**
     * 设施编号
     */
    @Excel(name = "设施编号")
    private String facilityNum;

    /**
     * 设施类型
     */
    @Excel(name = "设施类型")
    private String facilityType;

    /**
     * 设施名称
     */
    @Excel(name = "设施名称")
    private String facilityName;

    /**
     * 设施地址
     */
    @Excel(name = "设施地址")
    private String address;

    /**
     * 图片地址URL
     */
    @Excel(name = "设施图片")
    private String imagesUrl;

    /**
     * 联系人
     */
    @Excel(name = "联系人")
    private String contact;

    /**
     * 联系方式
     */
    @Excel(name = "联系方式")
    private String contactPhone;

    /**
     * 设施状态
     */
    @Excel(name = "设施状态", readConverterExp = "0=正常,1=维修,2=关闭")
    private Integer status;

    /**
     * 开始时间
     */
    @Excel(name = "创建时间")
    private String createTime;


}
