package com.usky.park.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.park.domain.EgConfig;
import com.usky.park.service.EgConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import retrofit2.http.PUT;

import java.util.List;

/**
 * <p>
 * 门禁进出统计配置设备表 前端控制器
 * </p>
 *
 * @author zyj
 * @since 2023-04-26
 */
@RestController
@RequestMapping("/egConfig")
public class EgConfigController {
    @Autowired
    private EgConfigService egConfigService;

    /**
     * 数据中心-门禁系统统计进出设备配置保存接口
     *
     * @param egConfig
     * @return
     */
    @PutMapping("updateEgConfig")
    public ApiResult<Void> updateEgConfig(@RequestBody EgConfig egConfig){
        egConfigService.updateEgConfig(egConfig);
        return ApiResult.success();
    }

    /**
     * 数据中心-门禁系统统计进出设备配置查询接口
     *
     * @return
     */
    @GetMapping("getEgConfig")
    public ApiResult<List<EgConfig>> getEgConfig(){
        return ApiResult.success(egConfigService.getEgConfig());
    }


}

