package com.usky.park.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 机房告警表
 * </p>
 *
 * @author zyj
 * @since 2023-04-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class AlarmGr implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 告警类型
     */
    private String alarmType;

    /**
     * 告警内容
     */
    private String alarmDesc;

    /**
     * 告警时间
     */
    private LocalDateTime alarmTime;

    /**
     * 告警值
     */
    private BigDecimal alarmValue;

    /**
     * 扩充字段
     */
    private String expandField;

    /**
     * 处理人
     */
    private String handler;

    /**
     * 处理时间
     */
    private LocalDateTime handlingTime;

    /**
     * 处理内容
     */
    private String handlingContent;

    /**
     * 处理状态（0、未处理 1、已处理）
     */
    private Integer handlingStatus;

    /**
     * 租户号
     */
    private Integer tenantId;


}
