package com.usky.park.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备信息表
 * </p>
 *
 * @author zyj
 * @since 2023-03-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DmpDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID;设备注册时系统自动生成一个唯一编号
     */
    private String deviceId;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备类型（501、监控系统  502、门禁系统  503、梯控系统  504、机房系统  509、环境系统  510、照明系统）
     */
    private Integer deviceType;

    /**
     * 产品ID
     */
    private Integer productId;

    /**
     * 物联网卡号
     */
    private String simCode;

    /**
     * 国际移动用户识别码
     */
    private String imsiCode;

    /**
     * 自动订阅标识（0：否，1：是）
     */
    private Integer subscribeFlag;

    /**
     * 节点类型
     */
    private Integer nodeType;

    /**
     * 分组id
     */
    private Integer groupId;

    /**
     * 删除标识
     */
    private Integer deleteFlag;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    private LocalDateTime updatedTime;

    /**
     * 租户号
     */
    private Integer tenantId;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 安装位置
     */
    private String installAddress;


}
