package com.usky.park.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 门禁进出统计配置设备表
 * </p>
 *
 * @author zyj
 * @since 2023-04-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EgConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 进入统计设备ID汇总
     */
    private String inDeviceids;

    /**
     * 出去统计设备ID汇总
     */
    private String outDeviceids;

    /**
     * 配置时间
     */
    private LocalDateTime configTime;


}
