package com.usky.park.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 门禁历史通行记录表
 * </p>
 *
 * @author zyj
 * @since 2023-03-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EventEg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 安装位置
     */
    private String installAddress;

    /**
     * 通行人员名称
     */
    private String personName;

    /**
     * 卡号
     */
    private String cardNo;

    /**
     * 所属组织
     */
    private String orgName;

    /**
     * 事件类型
     */
    private Integer eventType;

    /**
     * 进出类型(1：进 0：出 -1：未知）
     */
    private Integer inOutType;

    /**
     * 事件产生时间
     */
    private LocalDateTime eventTime;

    /**
     * 租户号
     */
    private Integer tenantId;


}
