package com.usky.park.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 梯控历史事件表
 * </p>
 *
 * @author zyj
 * @since 2023-04-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EventLc implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 电梯名称
     */
    private String liftName;

    /**
     * 事件ID
     */
    private String eventId;

    /**
     * 事件类型
     */
    private Integer eventType;

    /**
     * 事件名称
     */
    private String eventName;

    /**
     * 事件产生的时间
     */
    private LocalDateTime eventTime;

    /**
     * 人员唯一编码
     */
    private String personId;

    /**
     * 卡号
     */
    private String cardNo;

    /**
     * 人员名称
     */
    private String personName;

    /**
     * 组织编码
     */
    private String orgId;

    /**
     * 组织名称
     */
    private String orgName;

    /**
     * 平台接收事件时间
     */
    private LocalDateTime receiveTime;

    /**
     * 租户号
     */
    private Integer tenantId;


}
