package com.usky.park.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.park.domain.AlarmGr;
import com.usky.common.mybatis.core.CrudService;
import com.usky.park.service.vo.AlarmGrVO;

/**
 * <p>
 * 机房告警表 服务类
 * </p>
 *
 * @author zyj
 * @since 2023-04-03
 */
public interface AlarmGrService extends CrudService<AlarmGr> {
    /**
     * 告警管理-机房系统告警
     *
     * @param deviceName 设备名称
     * @param handlingStatus 处理状态（0、未处理 1、已处理）
     * @param alarmType  告警类型
     * @param startDate 开始时间  格式 yyyy-MM-dd HH:mm:ss
     * @param endDate  结束时间  格式 yyyy-MM-dd HH:mm:ss
     * @param pageNum  当前页
     * @param pageSize  每页条数
     * @return
     */
    CommonPage<AlarmGrVO> alarmList(String deviceName, Integer handlingStatus, String alarmType, String startDate, String endDate, Integer pageNum, Integer pageSize);
}
