package com.usky.park.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.park.domain.EventEg;
import com.usky.common.mybatis.core.CrudService;
import com.usky.park.service.vo.EventEgStatisticVO;
import org.bouncycastle.util.StringList;

import java.util.List;

/**
 * <p>
 * 门禁历史通行记录表 服务类
 * </p>
 *
 * @author zyj
 * @since 2023-03-31
 */
public interface EventEgService extends CrudService<EventEg> {

    /**
     * 数据中心-门禁人员进出实时信息列表展示
     *
     * @param deviceName 设备名称
     * @param installAddress  设备安装位置
     * @param cardNo 卡号
     * @param orgName 所属组织
     * @param eventType 事件类型
     * @param pageNum 当前页
     * @param pageSize 每页条数
     * @return
     */
    CommonPage<EventEg> eventEgList(String deviceName,String installAddress,String cardNo,String orgName,Integer eventType,Integer pageNum,Integer pageSize);

    /**
     * 数据中心-单个门禁人员进出通行历史记录列表查询
     *
     * @param deviceId 设备Id
     * @param pageNum 当前页
     * @param pageSize 每页条数
     * @return
     */
    CommonPage<EventEg> eventEgOne(String deviceId, String personName, String startDate, String endDate,Integer pageNum,Integer pageSize);


    List<EventEgStatisticVO> eventEgStatistic(List<String> enterDeviceId, List<String> outDeviceId, String startDate, String endDate);

    Integer numStatistic(List<String> deviceId,String startDate,String endDate);

}
