package com.usky.park.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.park.domain.EventLc;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 * 梯控历史事件表 服务类
 * </p>
 *
 * @author zyj
 * @since 2023-04-10
 */
public interface EventLcService extends CrudService<EventLc> {

    /**
     * 数据中心-梯控系统人员通行列表查询
     *
     * @param personName 人员名称
     * @param cardNo 卡号
     * @param liftName 电梯名称
     * @param startDate 开始时间  格式 yyyy-MM-dd HH:mm:ss
     * @param endDate  结束时间  格式 yyyy-MM-dd HH:mm:ss
     * @param pageNum  当前页
     * @param pageSize  每页条数
     * @return
     */
    CommonPage<EventLc> eventLcList(String personName,String cardNo,String liftName,String startDate,String endDate,Integer pageNum,Integer pageSize);

}
