package com.usky.website.domain;

import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 官网_内容管理
 * </p>
 *
 * @author ya
 * @since 2022-08-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SiteArticle implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 内容标题;
     */
    private String title;

    /**
     * 作者
     */
    private String author;

    /**
     * 内容
     */
    private String content;

    /**
     * 点击量;
     */
    private Integer hits;

    /**
     * 内容文件路径
     */
    private String htmlfilepath;

    /**
     * 是否置顶;0:否 1:是
     */
    private Integer istop;

    /**
     * 栏目ID
     */
    private Integer categoryid;

    /**
     * 内容图片;
     */
    private String image;

    /**
     * 内容副标题;
     */
    private String lmtitle;

    /**
     * 内容摘要;
     */
    private String zhaiyao;

    /**
     * 创建时间;
     */
    private LocalDateTime createdate;

    /**
     * 修改时间;
     */
    private LocalDateTime modifydate;

    /**
     * 栏目名称
     */
    @TableField(exist = false)
    private String categoryName;


}
