package com.usky.website.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 官网_栏目管理
 * </p>
 *
 * @author ya
 * @since 2022-08-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SiteCategory implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 父级ID
     */
    private Integer pid;

    /**
     * 栏目名称
     */
    private String categoryName;

    /**
     * 栏目简称
     */
    private String sname;

    /**
     * 是否新栏目;0:否 1:是
     */
    @TableField("isNew")
    private Integer isNew;

    /**
     * 页面模板
     */
    private String tpl;

    /**
     * 栏目图片;
     */
    @TableField("imagePath")
    private String imagePath;

    /**
     * SEO关键字;
     */
    private String metakeywords;

    /**
     * SEO描述;
     */
    private String metadescription;

    /**
     * 创建时间;
     */
    private LocalDateTime createdate;

    /**
     * 修改时间;
     */
    private LocalDateTime modifydate;

    /**
     * 栏目排序
     */
    private Integer sortindex;

    /**
     * 状态;0:关闭 1:开启
     */
    private Integer status;

    /**
     * 子级
     */
    @TableField(exist = false)
    private List<SiteCategory> children;
}
